#
# $Id: company.d,v 1.17 2008/10/15 15:11:13 dtynan Exp $
#
# Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: company.d,v $
# Revision 1.17  2008/10/15 15:11:13  dtynan
# Mammoth change to convert from old-style database configuration to new
# schema where an RC file defines the database access.
#
# Revision 1.16  2008/01/15 18:10:39  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.15  2008/01/15 14:04:23  dtynan
# Extensive changes for handling payroll and other fixes.
#
# Revision 1.14  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.13  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
# Revision 1.12  2005/03/22 09:41:10  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.11  2004/08/04 13:14:18  dtynan
# Added a 'tag' field to the database to tag the company name.
#
# Revision 1.10  2004/07/27 14:23:26  dtynan
# Removed the address from the company record (now part of contacts).
#
# Revision 1.9  2004/07/27 13:43:48  dtynan
# Added Corporation Tax # to company table.
#
# Revision 1.8  2004/07/27 13:20:48  dtynan
# Added ARD to company table.
#
# Revision 1.7  2004/07/14 14:47:33  dtynan
# Fixed various bugs and minor issues with building.
#
# Revision 1.6  2004/07/12 19:07:13  dtynan
# Extensive changes for new directory structure and other things.
#
# Revision 1.5  2004/05/12 15:21:07  dtynan
# Massive check-in of various changes, mostly around DBOW and directory
# reorganization (moved to /u/beanie).
#
# Revision 1.4  2003/11/08 16:34:51  dtynan
# Fixed some bugs with hard-coded functions.
#
# Revision 1.3  2003/11/08 15:09:20  dtynan
# New database table for managing and maintaining sites, also changed
# some stuff in the company table and the invoice table.
#
# Revision 1.2  2003/10/31 17:15:31  dtynan
# Added two new fields for maintaining last run-date and year-end.  Also
# added a hack function to update the 'rdate' field.  This should be
# provided by DBOW but isn't.
#
# Revision 1.1  2003/10/31 14:06:31  dtynan
# First pass at DBOW files.
#
# MAINDB
#
%table company {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	cname varchar(254) NOT NULL,
	tag varchar(8) NOT NULL,
	contact_id mediumint(7) NOT NULL,
	country_id mediumint(7) NOT NULL,
	regno varchar(254),
	taxno varchar(254),
	vatno varchar(254),
	rdate date,
	yend date,
	ard date,
	runorder mediumint(7)
%}

%insert company
%search company id
%update company id
