#
# $Id: contact.d,v 1.11 2008/01/15 18:10:39 dtynan Exp $
#
# Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: contact.d,v $
# Revision 1.11  2008/01/15 18:10:39  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.10  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.9  2005/09/21 18:02:29  dtynan
# Major changes to deal with data import/export.
#
# Revision 1.8  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
# Revision 1.7  2005/03/22 09:41:10  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.6  2005/03/05 19:26:10  dtynan
# Minor tweaks.
#
# Revision 1.5  2005/03/05 17:46:16  dtynan
# Added new table for maintaining credit card transactions (using OFX)
# and created a contact-code entry in the contacts table.
#
# Revision 1.4  2005/02/17 13:51:38  dtynan
# The title shouldn't be mandatory.
#
# Revision 1.3  2005/02/17 13:49:00  dtynan
# Changed organisation to be fname/lname.
#
# Revision 1.2  2005/02/17 12:02:51  dtynan
# New table to maintain contact information for all activities.
#
# Revision 1.1  2004/05/12 15:21:08  dtynan
# Massive check-in of various changes, mostly around DBOW and directory
# reorganization (moved to /u/beanie).
#
# MAINDB
#
%table contact	{
	id mediumint(7) not null primary key auto_increment,
	ccode char(8) not null,
	fname varchar(254),
	lname varchar(254) NOT NULL,
	a1 varchar(254) NOT NULL,
	a2 varchar(254),
	a3 varchar(254),
	city varchar(254),
	state_county varchar(254),
	postcode_zip varchar(254),
	country_id mediumint(7) NOT NULL,
	website varchar(254),
	phone varchar(254),
	fax varchar(254),
	email varchar(254)
%}

%search contact id contact_findbyid
%search contact ccode contact_findcode

#
# Individual table for each contact person within the organisation.
#
%table	contact_person	{
	id mediumint(7) not null primary key auto_increment,
	contact_id mediumint(7) not null primary key,
	type_id smallint(3),
	fname varchar(254),
	lname varchar(254) not null,
	title varchar(254),
	phone varchar(254),
	fax varchar(254),
	email varchar(254)
%}

%type C proto {
#define CONTACT_TYPE_NONE	0
#define CONTACT_TYPE_SALES	1
#define CONTACT_TYPE_ACCOUNTS	2
%}

%search contact_person id person_findbyid
%search contact_person contact_id person_findbycid
%dump contact
