#
# $Id: currency.d,v 1.9 2008/01/15 18:10:39 dtynan Exp $
#
# Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: currency.d,v $
# Revision 1.9  2008/01/15 18:10:39  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.8  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.7  2005/10/17 13:27:43  dtynan
# First pass at multicurrency changes.
#
# Revision 1.6  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
# Revision 1.5  2005/03/22 09:41:10  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.4  2004/05/12 15:21:09  dtynan
# Massive check-in of various changes, mostly around DBOW and directory
# reorganization (moved to /u/beanie).
#
# Revision 1.3  2003/11/08 16:34:52  dtynan
# Fixed some bugs with hard-coded functions.
#
# Revision 1.2  2003/11/07 20:15:58  dtynan
# Changed the currency 'rate' value to a double and hard-coded a C function
# for updating the database (this support is missing from DBOW).
#
# Revision 1.1  2003/10/31 14:06:31  dtynan
# First pass at DBOW files.
#
# MAINDB
#
%table currency {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	sname char(4) NOT NULL,
	lname varchar(254) NOT NULL,
	rate double,
	cdate date,
	rofflabel varchar(64),
	textlabel varchar(4)
%}

%search currency id findcurrency
%search currency sname
