#
# $Id: customer.d,v 1.18 2008/01/15 18:10:40 dtynan Exp $
#
# Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: customer.d,v $
# Revision 1.18  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.17  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.16  2005/09/21 18:02:29  dtynan
# Major changes to deal with data import/export.
#
# Revision 1.15  2005/08/12 18:42:35  dtynan
# Changed custype to cusflag.
#
# Revision 1.14  2005/08/01 10:36:26  dtynan
# Added a field to specify if the customer is a vendor and vice versa.
#
# Revision 1.13  2005/03/22 09:41:11  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.12  2005/03/09 11:23:33  dtynan
# Fixed an 'oops' bug from the last check-in.
#
# Revision 1.11  2005/03/09 11:22:11  dtynan
# Removed custcode from the customer table.  Now replaced with ccode
# from the contact table.
#
# Revision 1.10  2005/03/08 16:35:27  dtynan
# Added a search by contact_id.  Need to remove CUSTCODE soon.
#
# Revision 1.9  2005/02/17 14:10:58  dtynan
# Added VAT type.
#
# Revision 1.8  2005/02/17 14:03:15  dtynan
# Extensive changes to push the contact information into the main
# database and minimise the data kept in the customer table.
#
# Revision 1.7  2005/01/13 17:44:26  dtynan
# Added new program to post a customer payment to the database.  Also did cleanups
# of functions across the board.
#
# Revision 1.6  2004/12/09 19:55:16  dtynan
# Added a balance field to maintain customer balances.
#
# Revision 1.5  2004/12/09 19:18:21  dtynan
# Added 'organisation' field to customer record and a new nominal
# account query function.
#
# Revision 1.4  2004/05/16 21:42:29  dtynan
# Added additional fields for new invoice formats.
#
# Revision 1.3  2004/01/05 13:02:33  dtynan
# Made the 'fname' field non-null.
#
# Revision 1.2  2004/01/05 12:59:11  dtynan
# Split the 'name' field into first and last names.
#
# Revision 1.1  2003/10/31 14:06:31  dtynan
# First pass at DBOW files.
#
# COMPANYDB
#
%table customer {
	id mediumint(7) not null auto_increment primary key,
	contact_id mediumint(7) not null,
	cperson_id mediumint(7),
	currency_id mediumint(7),
	vattype smallint(3),
	billtype smallint(3),
	vat char(16),
	terms varchar(254),
	balance real,
	cusflag smallint(3)
%}

%type C proto {
#define CUST_VTYPE_NONE		0
#define CUST_VTYPE_HOME		1
#define CUST_VTYPE_EUNR		2
#define CUST_VTYPE_EUREG	3
#define CUST_VTYPE_EXT		4

#define CUST_BTYPE_NONE		0
#define CUST_BTYPE_POST		1
#define CUST_BTYPE_FAX		2
#define CUST_BTYPE_EMAIL	3

#define CUST_ISCUSTOMER		01
#define CUST_ISVENDOR		02
#define CUST_ISBOTH		03
#define CUST_CREDITHOLD		04
%}

%insert customer
%search customer id
%search customer contact_id
%dump customer
