#
# $Id: employee.d,v 1.6 2008/01/15 18:10:40 dtynan Exp $
#
# Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
# Table for maintaining employees.
#
# $Log: employee.d,v $
# Revision 1.6  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.5  2008/01/15 14:04:23  dtynan
# Extensive changes for handling payroll and other fixes.
#
# Revision 1.4  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.3  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
# Revision 1.2  2005/03/22 09:41:11  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.1  2004/09/03 13:45:10  dtynan
# Added two new tables.
#
# COMPANYDB
#
%table employee {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	contact_id mediumint(7) NOT NULL,
	manager_id mediumint(7),
	location_id mediumint(7),
	sdate date NOT NULL,
	edate date,
	taxid varchar(254) NOT NULL,
	etype tinyint(1)
%}

%search employee id
%search employee taxid

%type C proto {
/*
 * Values for the 'etype' field in the invoice record.
 */
#define EMPLOYEE_FULLTIME	0		/* Full-time staff */
#define EMPLOYEE_PARTTIME	1		/* Part-time staff */
%}

%table salary	{
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	employee_id mediumint(7) NOT NULL,
	effdate date NOT NULL,
	sfreq smallint(3) NOT NULL,
	salary double
%}

%search salary id
%search salary employee_id

%type C emit {
/*
 *
 */
struct db_salary *
findsalary(dbow_conn *c, int empid, time_t effdate)
{
	if (dbow_query(c, "SELECT id,employee_id,effdate,sfreq,salary FROM salary WHERE employee_id=$c AND effdate <= $i ORDER BY effdate DESC LIMIT 1", empid, effdate) < 0)
		return(NULL);
	return(db_findsalarynext(c, NULL));
}
%}
