#
# $Id: iepaye.d,v 1.3 2008/07/08 16:36:01 dtynan Exp $
#
# Copyright (c) 2007, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: iepaye.d,v $
# Revision 1.3  2008/07/08 16:36:01  dtynan
# Extensive changes.
#
# Revision 1.2  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.1  2008/01/15 14:04:23  dtynan
# Extensive changes for handling payroll and other fixes.
#
# COMPANYDB
#

#
# This table defines the standard-rate cutoff point (SRCOP) and tax
# credits for Irish employees.  It is derived from the P2C certificate
# issued by the Irish tax authorities (Revenue Commissioners).
#
%table iepaye {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	employee_id mediumint(7) NOT NULL,
	cdate date NOT NULL,
	sdate date NOT NULL,
	edate date,
	asrcop double NOT NULL,
	msrcop double,
	wsrcop double,
	ataxcr double NOT NULL,
	mtaxcr double,
	wtaxcr double,
	w1m1f tinyint(1) NOT NULL,
	totalpay double NOT NULL,
	totaltax double NOT NULL,
	exempt tinyint(1) NOT NULL,
	srate double NOT NULL,
	hrate double NOT NULL,
	prsicode char(2) NOT NULL
%}

#
# Table used to determine PRSI contributions...
%table ieprsi {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	effdate date NOT NULL,
	prsicode char(2) NOT NULL,
	thresh double NOT NULL,
	plimit double NOT NULL,
	eelower double,
	erlower double,
	eeupper double,
	erupper double
%}

#
#
%table	p30_data	{
	id mediumint(7) not null auto_increment primary key,
	paye_p30_id mediumint(7),
	payroll_id mediumint(7) not null,
	paye_amt double not null,
	prsi_amt double not null
%}

%insert p30_data
%search p30_data id
%search p30_data paye_p30_id
%search p30_data payroll_id

%type C proto {
#define PAYE_DEDUCTION		1
#define PRSI_DEDUCTION		2

#define PAYROLL_BONUS		5

#define NOTE_ERPRSI		10
#define NOTE_SRCOP		11
#define NOTE_CREDITS		12
%}

%type C emit {
/*
 *
 */
struct db_iepaye *
findtaxcredits(dbow_conn *c, int empid, time_t effdate)
{
	if (dbow_query(c, "SELECT * FROM iepaye WHERE employee_id=$c AND sdate<=$i ORDER BY sdate DESC LIMIT 1", empid, effdate) < 0)
		return(NULL);
	return(db_findiepayenext(c, NULL));
}

/*
 *
 */
struct db_ieprsi *
findprsibands(dbow_conn *c, char *pcode, time_t effdate)
{
	if (dbow_query(c, "SELECT * FROM ieprsi WHERE prsicode=$n AND effdate<=$i ORDER BY effdate DESC,thresh", pcode, effdate) < 0)
		return(NULL);
	return(db_findieprsinext(c, NULL));
}
%}
