#
# $Id: nomacct.d,v 1.10 2008/01/15 18:10:40 dtynan Exp $
#
# Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: nomacct.d,v $
# Revision 1.10  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.9  2008/01/15 14:04:23  dtynan
# Extensive changes for handling payroll and other fixes.
#
# Revision 1.8  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.7  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
# Revision 1.6  2005/03/22 09:41:11  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.5  2005/02/17 17:25:25  dtynan
# Fixed some compiler warnings.
#
# Revision 1.4  2004/12/09 19:18:22  dtynan
# Added 'organisation' field to customer record and a new nominal
# account query function.
#
# Revision 1.3  2004/09/30 09:55:50  dtynan
# Added a new 'delete' function to the rjentry code and added a comment
# block to the nomacct file.
#
# Revision 1.2  2004/07/27 13:22:48  dtynan
# Removed parent ID from nominal accounts.
#
# Revision 1.1  2003/12/09 12:30:53  dtynan
# Added nominal accounts table.
#
# MAINDB
#
%table nomacct {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	atype tinyint,
	aname varchar(254) NOT NULL
%}

%insert nomacct
%search nomacct id

%type C emit {
/*
 *
 */
struct db_nomacct *
findnomaccts(dbow_conn *c)
{
	return(db_runnomacctquery(c, "SELECT * FROM nomacct ORDER BY id"));
}
%}
