#
# $Id: payroll.d,v 1.3 2008/07/08 16:36:01 dtynan Exp $
#
# Copyright (c) 2007, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: payroll.d,v $
# Revision 1.3  2008/07/08 16:36:01  dtynan
# Extensive changes.
#
# Revision 1.2  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.1  2008/01/15 14:04:23  dtynan
# Extensive changes for handling payroll and other fixes.
#
# COMPANYDB
#
%table payroll {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	employee_id mediumint(7) NOT NULL,
	pdate date NOT NULL,
	period smallint(3) NOT NULL,
	basicpay double NOT NULL,
	pay1_id mediumint(7),
	pay1_amt double,
	pay2_id mediumint(7),
	pay2_amt double,
	pay3_id mediumint(7),
	pay3_amt double,
	pay4_id mediumint(7),
	pay4_amt double,
	grossytd double NOT NULL,
	ded1_id mediumint(7),
	ded1_amt double,
	ded1_ytd double,
	ded2_id mediumint(7),
	ded2_amt double,
	ded2_ytd double,
	ded3_id mediumint(7),
	ded3_amt double,
	ded3_ytd double,
	ded4_id mediumint(7),
	ded4_amt double,
	ded4_ytd double,
	note1_id mediumint(7),
	note1_amt double,
	note1_ytd double,
	note2_id mediumint(7),
	note2_amt double,
	note2_ytd double,
	note3_id mediumint(7),
	note3_amt double,
	note3_ytd double,
	note4_id mediumint(7),
	note4_amt double,
	note4_ytd double,
	comm1 varchar(254),
	comm2 varchar(254),
	comm3 varchar(254),
	comm4 varchar(254)
%}

%search payroll id
%search payroll employee_id

%table prdeds {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	dname varchar(254) NOT NULL
%}

%table prbonus {
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	employee_id mediumint(7) NOT NULL,
	payroll_id mediumint(7),
	descr varchar(63),
	bdate date NOT NULL,
	amount double NOT NULL
%}

%type C emit {
/*
 *
 */
struct db_payroll *
findpayroll(dbow_conn *c)
{
	return(db_runpayrollquery(c, "SELECT * FROM payroll ORDER BY pdate"));
}

/*
 *
 */
struct db_prbonus *
findbonus(dbow_conn *c, int empid, time_t effdate)
{
	if (dbow_query(c, "SELECT id,employee_id,payroll_id,descr,bdate,amount FROM prbonus WHERE employee_id=$c AND payroll_id=0 AND bdate <= $i", empid, effdate) < 0)
		return(NULL);
	return(db_findprbonusnext(c, NULL));
}
%}
