#
# $Id: product.d,v 1.8 2008/01/15 18:10:40 dtynan Exp $
#
# Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: product.d,v $
# Revision 1.8  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.7  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.6  2005/09/21 18:02:29  dtynan
# Major changes to deal with data import/export.
#
# Revision 1.5  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
# Revision 1.4  2005/04/03 15:21:11  dtynan
# Added new field to maintain invoice description.
#
# Revision 1.3  2005/03/22 09:41:12  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.2  2005/03/11 13:15:44  dtynan
# Added new sales order table entry (will require drastic changes later
# on).  For now, just track the sales order with the invoice.
#
# Revision 1.1  2005/01/13 17:44:26  dtynan
# Added new program to post a customer payment to the database.  Also did cleanups
# of functions across the board.
#
# COMPANYDB
#
%table product {
	id mediumint(7) not null auto_increment primary key,
	pcode char(8) not null,
	ptype smallint(5) not null,
	descr varchar(254) not null,
	idescr varchar(254),
	retail double,
	trade double,
	wsale double,
	vat_id smallint(5),
	nomacct_id mediumint(7)
%}

%search product id
%search product pcode
%dump product

%type C proto {
#define PROD_TYPE_SERVICE	0		/* Service offering */
#define PROD_TYPE_MANUF		1		/* Manufactured product */
#define PROD_TYPE_RESALE	2		/* Product which is resold */
%}
