#
# $Id: sledger.d,v 1.6 2008/01/15 18:10:40 dtynan Exp $
#
# Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: sledger.d,v $
# Revision 1.6  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.5  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.4  2005/08/12 18:44:22  dtynan
# Added a function to make sure that the sales ledger items are pulled
# in chronological order.
#
# Revision 1.3  2005/04/11 16:07:20  dtynan
# Added new search function to find by customer_id.
#
# Revision 1.2  2005/03/22 09:41:12  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.1  2004/09/03 13:45:10  dtynan
# Added two new tables.
#
# COMPANYDB
#
%table	sledger	{
	id mediumint(7) NOT NULL AUTO_INCREMENT primary key,
	customer_id mediumint(7) NOT NULL,
	sldate date NOT NULL,
	folio varchar(8),
	descr varchar(254),
	amount double
%}

%insert sledger
%search sledger id
%search sledger customer_id
%search sledger folio

%type C emit {
/*
 *
 */
struct db_sledger *
findsledgerentries(dbow_conn *c, int x)
{
	if (dbow_query(c, "SELECT * FROM sledger WHERE customer_id = $c ORDER BY sldate,id", x) < 0)
		return(NULL);
	return(db_findsledgernext(c, NULL));
}
%}
