#
# $Id: vat.d,v 1.9 2008/10/31 15:17:13 dtynan Exp $
#
# Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: vat.d,v $
# Revision 1.9  2008/10/31 15:17:13  dtynan
# Extensive changes for version 0.8.2.
#
# Revision 1.8  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.7  2006/10/01 10:14:50  dtynan
# Created new mechanism for running overnight tasks.
#
# Revision 1.6  2006/08/25 11:30:56  dtynan
# Added new code for managing VAT returns.
#
# Revision 1.5  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.4  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
# Revision 1.3  2005/03/22 09:41:12  dtynan
# Extensive upgrade to make sure the copyright block was
# consistent and GPL'ed.
#
# Revision 1.2  2004/05/16 21:42:30  dtynan
# Added additional fields for new invoice formats.
#
# Revision 1.1  2004/05/16 18:36:12  dtynan
# New table for maintaining VAT rates.
#
# MAINDB
#
%table vat {
	id smallint(5) NOT NULL AUTO_INCREMENT primary key,
	vcode char(1) NOT NULL,
	rate double,
	effdate date NOT NULL
%}

#define VAT_CLASS_HOME		0
#define VAT_CLASS_INTRANR	1
#define VAT_CLASS_INTRARG	2
#define VAT_CLASS_EXTRA		3

%search vat id findvat
%search vat vcode findvatcode

%type C emit {
/*
 *
 */
struct db_vat *
db_findvatcodes(dbow_conn *c)
{
	return(db_runvatquery(c, "SELECT * FROM vat ORDER BY vcode"));
}
%}
