#
# $Id: workorder.d,v 1.5 2008/01/15 18:10:40 dtynan Exp $
#
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: workorder.d,v $
# Revision 1.5  2008/01/15 18:10:40  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.4  2006/07/31 09:07:54  dtynan
# Renamed all primary keys from xxx_id to id (where xxx is the table
# name).  This is both convenient and supports the Ruby/Rails
# methodology.
#
# Revision 1.3  2005/09/21 18:02:29  dtynan
# Major changes to deal with data import/export.
#
# Revision 1.2  2005/08/12 19:37:14  dtynan
# Minor tweaks prior to first tagged release.
#
# Revision 1.1  2005/08/12 18:44:53  dtynan
# Added a new comment in each file to show whether the table belongs in
# the main or the per-company databases.
#
#
# COMPANYDB
#
%table workorder {
	id mediumint(7) not null auto_increment primary key,
	parent_id mediumint(7),
	dependent_id mediumint(7),
	title varchar(254) not null,
	owner mediumint(7),
	duedate date not null,
	state tinyint(3)
%}

%insert workorder
%search workorder id
%search workorder state

%table wo_item	{
	workorder_id mediumint(7) not null primary key,
	track_id mediumint(7) not null primary key,
	wdate date not null,
	user_id mediumint(7) not null,
	descr varchar(254) not null,
	filepath varchar(254)
%}

%type C proto {
/*
 * Values for the 'state' field in the work order record.
 */
#define WORK_STATE_NEW		0		/* Created but not stuffed */
#define WORK_STATE_UNASSIGNED	1		/* Work order is unassigned */
#define WORK_STATE_ASSIGNED	2		/* Work order has an owner */
#define WORK_STATE_ONHOLD	3		/* Task is suspended */
#define WORK_STATE_CHILDWAIT	4		/* Awaiting sub-tasks */
#define WORK_STATE_DEPENDENT	5		/* Awaiting dependents */
#define WORK_STATE_INPROGRESS	6		/* Currently under way */
#define WORK_STATE_COMPLETE	7		/* Task is complete */
#define WORK_STATE_DEAD		8		/* Task is aborted */
%}
