.\"
.\" $Id: beanie.ms,v 1.4 2008/11/12 10:16:33 dtynan Exp $
.\"
.\" Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published
.\" by the Free Software Foundation; either version 2, or (at your
.\" option) any later version.
.\"
.\" It is distributed in the hope that it will be useful, but WITHOUT
.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
.\" or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
.\" License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this product; see the file COPYING.  If not, write to
.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\"
.\" THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS"
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
.\" A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
.\" RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" ABSTRACT
.\"
.\" $Log: beanie.ms,v $
.\" Revision 1.4  2008/11/12 10:16:33  dtynan
.\" Deprecated the config.h file and some minor tweaks prior to release 0.8.2
.\"
.\" Revision 1.3  2008/10/20 17:53:25  dtynan
.\" Added a document for installation (quite basic at this point), removed
.\" some debug output from tpadjust(), and fixed a lingering issue with the
.\" way invoice due-dates were calculated.
.\"
.\" Revision 1.2  2008/01/15 18:10:40  dtynan
.\" Changed to use new company name and copyright, also fixed a few old
.\" files with the wrong license.
.\"
.\" Revision 1.1  2005/03/31 10:15:28  dtynan
.\" First pass at some documentation.
.\"
.nr PS 12
.nr VS 14
.TL
Beanie - The Automated Accounting System
.AU
Dermot Tynan <dtynan@kalopa.com>
.AI
Kalopa Research Limited
.AB
Beanie is an open source (GPL) accounting system designed to take the
grunt-work out of maintaining a proper set of accounts.
It aims to automate as many of the processes (such as invoicing) as
possible, and to make the remaining processes simple and easy to
understand.
.SH
Introduction
.LP
Beanie was designed and written to provide a decent, scaleable accounting
system for maintaining a proper set of accounts for a small company.
From the outset, flexibility has been at the heart of the system, with
automation following close behind.
The system is designed to take care of the recurring tasks such as
posting regular transactions, sending invoices and statements via email
as well as payment reminders.
If a task can be done automatically then it is.
At the heart of the system are a series of MySQL databases.
One central/configuration database and one database per company.
Any information which can be shared between companies is maintained
in the central database (\fIbeanie\fP).
The operational engine is a pseudo-cron task known as 'overnight'.
This runs every night and executes shell scripts to perform daily,
weekly, monthly, quarterly and annual tasks.
.SH
Installation
.LP
I am interested in finding out how you get on with installing and
using this system, so feel free to contact me about bugs, issues,
questions, comments and so on.
I use this software to manage the
accounts, payroll and tax returns for a handful of companies and
it is mostly tailored to my needs, but I am interested in other
peoples experiences.
Get in touch!
.LP
There is also the usual SourceForge stuff, but email is faster and
more convenient (for now!).
.LP
http://beanie.sf.net
.LP
Dermot Tynan; beanie@kalopa.com; October 15th, 2008.
.SH 2
Configuration (help needed!)
.LP
Unfortunately, I'm not an automake/autoconf guru so this system
doesn't use those fancy tools.
If you want to have a go at producing
automake/autoconf source files instead of the existing Makefile
system, get in touch.
If you're lucky, you should just be able to
follow these instructions and everything should just work.
If you
run into problems, I'd like to hear about them so contact me.
.SH 2
The MySQL Database
.LP
You will need the MySQL client libraries installed, and you will
also need a MySQL server running somewhere on your network.
For
small installations, MySQL will run on the same location as your
accounts, but for larger installations, you may have a separate
database server.
.LP
Beanie uses something called DBOW to interface to the database (see
the next section) and the eventual intent with DBOW is to make it
database-independent.
But we're not there yet!
In the meantime,
DBOW and Beanie require that you use MySQL as your database.
This
document doesn't cover how to install MySQL, but there are plenty
of resources available on the Internet.
.SH 2
Using DBOW
.LP
In order to hide database specifics from the application, and to
avoid all that repeated drudgery of mapping SQL tables to C structures,
I wrote an open source application called DBOW.
It's on sourceforge.
.LP
http://dbow.sf.net
.LP
It is also available from the PORTS tree on FreeBSD.
In fact, if
you are compiling this from the FreeBSD ports tree, then you don't
need to do anything with DBOW as it will be installed for you
automatically.
I like DBOW (obviously) because it makes interfacing
with an SQL database quite trivial.
.LP
If you aren't running FreeBSD and you haven't got DBOW already
installed, do so now before going any further.
Download it from
SourceForge and follow the instructions.
.SH 2
The User Account
.LP
You must create a user on the system called 'beanie'.
This
unprivileged user will own all the accounting files and executables.
The home directory of this user will be the main location for all
accounting files so choose wisely.
Examples are /v/beanie or
/var/accounts.
.LP
This is an example of the password entry:
.LP
beanie:*:101:20:The Accounting System:/v/beanie:/bin/csh
.LP
Generally you won't log in as this user (except to debug things on
rare occasions), but it will need to be able to run cron tasks, and
it is more secure if your binaries aren't owned by 'root'.
.SH 2
Editing the Makefile Template
.LP
Before compiling the source, you will need to tweak beanie.mk for
your particular build environment.
You can use the file beanie.mk.sample
as a reference.
Copy it to beanie.mk and edit it.
.LP
You will probably need to change the following items:
.LP
MYSQL_INC=/usr/local/include/mysql
.LP
This is the location of the MYSQL include files.
The default is
probably OK.
.LP
MYSQL_LIB=/usr/local/lib/mysql
.LP
This is the location of the MYSQL library files.
The default is
probably OK.
.LP
DBOW=/usr/local/bin/dbow
.LP
This is the location of the DBOW binary.
Try running 'which dbow'
to see what the path is.
.LP
PREFIX?=/usr/local
.LP
This is a generic prefix used by standard FreeBSD ports.
Unless
you have a good reason to change it, I'd leave it as /usr/local.
.LP
BEANIEROOT?=/v/beanie
.LP
This is the location for all the Beanie executables, 'troff'
templates, database backups, and countless other things associated
with the accounting package.
It is very important that this directory
is the same as the home directory for the 'beanie' user created
earlier.
Try to pick a nice, fairly large directory on the system.
/var/accounts also works.
.SH 2
Creating a Company Letterhead
.LP
You will need a blank letterhead troff file for invoices and
statements.
To begin with, try copying 'lhead.sample.r' to 'lhead.r'.
You can edit and tweak this file as you go.
.SH 2
Compiling the Source Code
.LP
Now we're ready for Prime Time!!!
.LP
In an ideal world, 'make install' would do the right thing.
.LP
Try this:
.LP
% make clean all
% make install
.LP
You may need to run the second 'make' as root in order to have
permissions to create directories and some binary files (such
as xeparse which needs to be installed in /usr/libexec).
.LP
If you get errors, redirect the output from the 'make' command and
email the output to me.
Also, email me your beanie.mk file.
.LP
The binaries will be installed in ~beanie/bin.
.LP
Some quick helpers:
.LP
One of the first things the system will do is create the SQL files,
.c and .h files from the DBOW sources (for example, company.d).
If
this fails, it is probably because there is something wrong with
your DBOW install.
See the earlier step.
.LP
The code should compile cleanly, but you may see one or two warnings
because of some DBOW bug-ettes.
.SH 2
Creating the Database
.LP
You must create a MySQL database for each set of company accounts.
.LP
Avoid using the generic database name of 'beanie' as you may want
to add another company in the future.
.LP
I generally use a three- or four-letter abbreviation for each company
(KIS would be Kalopa Internet Solutions) and then name the database
as beanie_kis.
.LP
You should also create a user which has read/write access to this
database.
Using MySQL (logged in as root), the following steps
should work:
.LP
mysql> create database beanie_acme;
mysql> grant all on beanie_acme.* to 'beanie'@'localhost' identified by '<password>';
mysql> flush privileges;
.LP
Change 'acme' in the above to be some abbreviated name for your
database.
You don't have to call the DB user 'beanie', but it makes
life a bit easier.
Also, change <password> to be some sort of
cryptic password for that database user.
.LP
As a test, try running the command:
.LP
% mysql -h localhost -u beanie -p beanie_acme
.LP
And enter the password as previously entered.
If all is well, you
should have a mysql> prompt.
.LP
If you are using a remote database server, you will need to change
'localhost' in both examples above.
.SH 2
Creating a RunCom file
.LP
Beanie uses an RC file to give it the access details for the
accounting system database.
While you can place any number of
configuration items in this file, it is better if you just keep it
to the database access parameters and put the remaining configuration
items in the database.
By the way, parameters in the RC file
over-ride configuration parameters in the database.
This can be
useful for quick "hacks".
.LP
Edit the file ~/.beanierc
.LP
The RC file has a YAML style of configuration, which means that a
hash character (#) at the start of a line is ignored (as are blank
lines).
.LP
Each line must have either a colon (:) or an equals sign (=) to be
valid.
Anything else is illegal.
.LP
The following is a sample .beanierc:
.LP
----- cut here -----
#
# This is the main accounts connection file.
#
# ACME Widgets Limited
acme:
	dbuser = beanie
	dbpass = <password>
	dbhost = localhost
	dbase  = beanie_acme
#
# StarTrooper Investments Limited
sil:
	dbuser = beanie
	dbpass = <password>
	dbhost = localhost
	dbase  = beanie_sil
#
----- cut here -----
.LP
The first entry is considered the "default" company, and the one
which is used by the accounting applications if no company was
specified.
.LP
You'll note that we can have many different configurations in here
and that the system will access the appropriate company by the short
name.
For example, to get a text report of accounts-receivable for
StarTrooper Investments Limited, run:
.LP
% arreport -c sil
.LP
Remember to change <password> to be the database password specified
earlier.
.LP
***** IMPORTANT ******:  Remember to set the read/write permissions
of this file so that no-one else can read it:
.LP
% chmod 600 ~/.beanierc
.LP
You will also need to copy this file to the home directory for your
'beanie' user so that that user can run the beanie commands and
access the database.
.LP
% cp ~/.beanierc ~beanie/
.SH 2
The Well-Deserved Coffee Break
.LP
You've come a long way.
It's probably time for a cup of coffee!!
.SH 2
Creating the Initial Company
.LP
You are now ready to run the 'newcompany' command:
.LP
% newcompany -c acme
.LP
Where 'acme' is the short name of your company as defined in the
.beanierc file.
.LP
This rather verbose program will bring you through the steps
associated with creating a new company entry.
.LP
Every time you want to add another real or test company to the
system, create the database as above, add the database access details
to your .beanierc file, and then run newcompany again.
.SH 2
Creating a Cron Entry
.LP
You need to create a 'cron(8)' entry for the beanie user.
There
is a sample cron entry in the file crontab.sample.
Edit this file
and change $BEANIEROOT to be the home directory of the beanie user.
.LP
The first step with this file is to edit it and change ###shortname###
to represent the short name of the company.
If you have multiple
companies, you will need to put multiple lines in the crontab file.
It's also a good idea if they don't all fire up at exactly the same
time.
.LP
Then, either logged in as beanie or as root, run the following
command:
.LP
% crontab -u beanie < crontab.sample
.LP
This makes sure the overnight processing is performed every evening
at 11PM.
.SH 2
The Overnight Processor
.LP
Each day, the databases will be backed up and the daily operations
(such as invoicing, etc) will be performed.
Each Sunday, the end
of week tasks will be performed and on the last day of the month,
the monthly, quarterly and annual tasks will be performed.
You can
examine these scripts to see what they do:
.LP
	overnight/acct.prolog
	overnight/acct.daily
	overnight/acct.weekly
	overnight/acct.monthly
	overnight/acct.epilog
.SH 2
Editing the Templates
.LP
Edit the 'tmac' source files for your specific information.
The
key one here is lhead.tmac because this is the source for your
company letterhead.
It's written in troff.
