#ident "$Id: contact.c,v 1.4 2008/10/15 15:11:13 dtynan Exp $"

/*
 * $Id: contact.c,v 1.4 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write
 * to the Free Software Foundation, 675 Mass Ave, Cambridge, MA
 * 02139, USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: contact.c,v $
 * Revision 1.4  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.3  2008/01/15 18:10:40  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.2  2006/07/31 10:17:47  dtynan
 * Massive changeover to a more Ruby/Rails primary key naming convention.
 *
 * Revision 1.1  2005/08/12 18:49:25  dtynan
 * First pass at a utility to pull data from the database and produce an
 * XML representation for exporting to other applications.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>

#include "beanie.h"
#include "hacks.h"

#include "export.h"

/*
 *
 */
void
docontact(FILE *fp, int id, int in)
{
	char tagbuf[64];
	struct db_contact *cp;
	struct db_country *cntp;
	dbow_conn *dbp = getdbase();

	if ((cp = contact_findbyid(dbp, id)) == NULL)
		berror("export", "cannot find contact details");
	sprintf(tagbuf, "number=\"%d\"", cp->id);
	block(fp, "contact", BLOCK_OPEN|BLOCK_MULTILINE, tagbuf, NULL, in++);
	blockstr(fp, "ccode", NULL, cp->ccode, in);
	if (cp->fname == NULL) {
		blockstr(fp, "name", NULL, cp->lname, in);
	} else {
		if (cp->fname != NULL)
			blockstr(fp, "firstname", NULL, cp->fname, in);
		if (cp->lname != NULL)
			blockstr(fp, "lastname", NULL, cp->lname, in);
	}
	blockstr(fp, "addr", NULL, cp->a1, in);
	if (cp->a2 != NULL)
		blockstr(fp, "addr", NULL, cp->a2, in);
	if (cp->a3 != NULL)
		blockstr(fp, "addr", NULL, cp->a3, in);
	blockstr(fp, "city", NULL, cp->city, in);
	if (cp->state_county != NULL)
		blockstr(fp, "state", NULL, cp->state_county, in);
	if (cp->postcode_zip != NULL)
		blockstr(fp, "zip", NULL, cp->postcode_zip, in);
	cntp = db_findcountrybyid(dbp, cp->country_id);
	if (cntp != NULL && cntp->id != HOME_COUNTRY)
		blockstr(fp, "country", NULL, cntp->cname, in);
	if (cp->website != NULL)
		blockstr(fp, "website", NULL, cp->website, in);
	if (cp->phone != NULL)
		blockstr(fp, "phone", NULL, cp->phone, in);
	if (cp->fax != NULL)
		blockstr(fp, "fax", NULL, cp->fax, in);
	if (cp->email != NULL)
		blockstr(fp, "email", NULL, cp->email, in);
	block(fp, "contact", BLOCK_CLOSE, NULL, NULL, --in);
	db_contactfree(cp);
}

/*
 *
 */
void
docontactperson(FILE *fp, int id, int cid, int in)
{
	dbow_conn *dbp = getdbase();

#if 0
	cperson_id mediumint(7) not null primary key auto_increment,
	contact_id mediumint(7) not null primary key,
	type_id smallint(3),
	fname varchar(254),
	lname varchar(254) not null,
	title varchar(254),
	phone varchar(254),
	fax varchar(254),
	email varchar(254)

	if (conp->website != NULL)
		blockstr(fp, "website", NULL, conp->website, in);
	if (conp->phone != NULL)
		blockstr(fp, "phone", NULL, conp->phone, in);
	if (conp->fax != NULL)
		blockstr(fp, "fax", NULL, conp->fax, in);
	if (conp->email != NULL)
		blockstr(fp, "email", NULL, conp->email, in);
#endif
}
