#ident "$Id: product.c,v 1.4 2008/10/15 15:11:13 dtynan Exp $"

/*
 * $Id: product.c,v 1.4 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write
 * to the Free Software Foundation, 675 Mass Ave, Cambridge, MA
 * 02139, USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: product.c,v $
 * Revision 1.4  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.3  2008/01/15 18:10:40  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.2  2006/07/31 10:17:47  dtynan
 * Massive changeover to a more Ruby/Rails primary key naming convention.
 *
 * Revision 1.1  2005/08/12 18:49:25  dtynan
 * First pass at a utility to pull data from the database and produce an
 * XML representation for exporting to other applications.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>

#include "beanie.h"
#include "hacks.h"

#include "export.h"

/*
	product_id mediumint(7) not null auto_increment primary key,
	pcode char(8) not null,
	ptype smallint(5) not null,
	descr varchar(254) not null,
	idescr varchar(254),
	retail double,
	trade double,
	wsale double,
	vat_id smallint(5),
	nomacct_id mediumint(7)
 *
 */
void
doproduct(FILE *fp, int id, int in)
{
	char tagbuf[64];
	struct db_product *pp;
	dbow_conn *dbp = getdbase();

	if ((pp = db_findproductbyid(dbp, id)) == NULL)
		berror("export", "cannot find product");
	sprintf(tagbuf, "number=\"%d\"", pp->id);
	block(fp, "product", BLOCK_OPEN|BLOCK_MULTILINE, tagbuf, NULL, in++);
	blockstr(fp, "pcode", NULL, pp->pcode, in);
	switch (pp->ptype) {
	case PROD_TYPE_SERVICE:
		blockstr(fp, "service", NULL, NULL, in);
		break;

	case PROD_TYPE_MANUF:
		blockstr(fp, "manufactured", NULL, NULL, in);
		break;

	case PROD_TYPE_RESALE:
		blockstr(fp, "resale", NULL, NULL, in);
		break;
	}
	blockstr(fp, "descr", NULL, pp->descr, in);
	if (pp->idescr != NULL)
		blockstr(fp, "idescr", NULL, pp->idescr, in);
	blockfloat(fp, "retail_price", NULL, pp->retail, in);
	blockfloat(fp, "trade_price", NULL, pp->trade, in);
	blockfloat(fp, "wsale_price", NULL, pp->wsale, in);
	blockint(fp, "vatcode", NULL, pp->vat_id, in);
	blockint(fp, "nomacct", NULL, pp->nomacct_id, in);
	block(fp, "product", BLOCK_CLOSE, NULL, NULL, --in);
	db_productfree(pp);
}
