#ident "$Id: sharecert.c,v 1.4 2008/10/15 15:11:13 dtynan Exp $"

/*
 * $Id: sharecert.c,v 1.4 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write
 * to the Free Software Foundation, 675 Mass Ave, Cambridge, MA
 * 02139, USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: sharecert.c,v $
 * Revision 1.4  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.3  2008/01/15 18:10:40  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.2  2006/07/31 10:17:47  dtynan
 * Massive changeover to a more Ruby/Rails primary key naming convention.
 *
 * Revision 1.1  2005/08/15 12:03:25  dtynan
 * Added functionality to export share certificates.
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>

#include "beanie.h"
#include "hacks.h"

#include "export.h"

/*
 *
 */
void
dosharecert(FILE *fp, int id, int in)
{
	char tagbuf[64];
	struct db_sharecert *sp;
	dbow_conn *dbp = getdbase();

	if ((sp = db_findsharecertbyid(dbp, id)) == NULL)
		berror("export", "cannot find share certificate");
	sprintf(tagbuf, "number=\"%d\"", sp->id);
	block(fp, "sharecert", BLOCK_OPEN|BLOCK_MULTILINE, tagbuf, NULL, in++);
	blockdate(fp, "sharedate", NULL, sp->sdate, in);
	docontact(fp, sp->contact_id, in);
	blockint(fp, "noshares", NULL, sp->nshares, in);
	blockint(fp, "startno", NULL, sp->startnum, in);
	blockint(fp, "endno", NULL, sp->endnum, in);
	blockfloat(fp, "price", NULL, sp->price, in);
	block(fp, "sharecert", BLOCK_CLOSE, NULL, NULL, --in);
	db_sharecertfree(sp);
}
