#ident "Kalopa: $Id: activate.c,v 1.3 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: activate.c,v 1.3 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: activate.c,v $
 * Revision 1.3  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.2  2004/12/09 20:17:53  dtynan
 * Cleaned up include topology.
 *
 * Revision 1.1  2004/12/08 14:28:14  dtynan
 * First pass at a useable GUI.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

const	gchar	*authors[] = {
	"Dermot Tynan <dtynan@kalopa.com>",
	NULL
};

const	gchar	*documenters[] = {
	NULL
};

const	gchar	*translators[] = {
	NULL
};

/*
 *
 */
void
open_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("open_activate()\n");
}

/*
 *
 */
void
save_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("save_activate()\n");
}

/*
 *
 */
void
save_as_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("save_as_activate()\n");
}

/*
 *
 */
void
cut_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("cut_activate()\n");
}

/*
 *
 */
void
copy_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("copy_activate()\n");
}

/*
 *
 */
void
paste_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("paste_activate()\n");
}

/*
 *
 */
void
clear_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("clear_activate()\n");
}

/*
 *
 */
void
props_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("props_activate()\n");
}

/*
 *
 */
void
prefs_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("prefs_activate()\n");
}

/*
 *
 */
void
about_activate(GtkMenuItem *menuitem, gpointer udata)
{
	GtkWidget *about;
	GdkPixbuf *logo = NULL;
	gchar *path;

	printf("about_activate()\n");
	path = gnome_program_locate_file(NULL, GNOME_FILE_DOMAIN_APP_PIXMAP,
					"gnome-beanie.png", TRUE, NULL);
	logo = gdk_pixbuf_new_from_file("gnome-beanie.png", NULL);
	about = gnome_about_new("beanie", VERSION,
			_("Copyright (c) 2003, Kalopa Meda Limited"),
			_("The Business Accounting Solution."),
			authors, documenters, translators, logo);
	gtk_container_set_border_width(GTK_CONTAINER(about), 5);
	gtk_window_set_type_hint(GTK_WINDOW(about), GDK_WINDOW_TYPE_HINT_DIALOG);
	gtk_widget_show(about);
	g_free(path);
}

/*
 *
 */
void
exit_activate(GtkMenuItem *menuitem, gpointer udata)
{
	printf("exit_activate()\n");
	gtk_main_quit();
}

/*
 *
 */
void
killdialog(GtkWidget *widget, gpointer data)
{
	printf("DESTROY DIALOG!\n");
	gtk_widget_destroy(GTK_WIDGET(data));
}
