#ident "Kalopa: $Id: bankstmnt.c,v 1.2 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: bankstmnt.c,v 1.2 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: bankstmnt.c,v $
 * Revision 1.2  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.1  2006/07/31 09:00:00  dtynan
 * Added missing files.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

/*
 *
 */
struct	accts	{
	struct	accts		*next;
	struct	db_bankacct	*data;
};

static	struct	accts	*acctp = NULL;

/*
 *
 */
void
bankstmnt(GtkWidget *widget)
{
	char mtitle[64];
	struct db_bankacct *bap;

	if ((bap = select_bankacct(NULL, NULL)) == NULL)
		return;

	sprintf(mtitle, "Bank Statement for %s", bap->name);
	acctview(bap->nomacct_id, mtitle);
}

/*
 *
 */
struct db_bankacct *
select_bankacct(GtkMenuItem *menuitem, gpointer udata)
{
	int i, curr;
	GtkWidget *dialog;
	GtkWidget *frame;
	GtkWidget *combo;
	struct accts *acp;

	if (acctp == NULL) {
		struct db_bankacct *bap;
		struct accts *tail = NULL;
		dbow_conn *db = get_company_dbase();

		for (bap = db_findbankacctfirst(db); bap != NULL;
					bap = db_findbankacctnext(db, NULL)) {
			acp = (struct comps *)malloc(sizeof(struct accts));
			if (acp == NULL)
				return(NULL);
			if (acctp == NULL)
				acctp = acp;
			else
				tail->next = acp;
			tail = acp;
			acp->next = NULL;
			acp->data = bap;
		}
	}
	dialog = gtk_dialog_new_with_buttons("Select Bank Account", NULL,
				0,
				GTK_STOCK_OK, GTK_RESPONSE_ACCEPT,
				GTK_STOCK_CANCEL, GTK_RESPONSE_REJECT,
				NULL);
	gtk_window_set_default_size(GTK_WINDOW(dialog), 250, -1);
	gtk_container_border_width(GTK_CONTAINER(dialog), 5);
	gtk_widget_realize(dialog);

	frame = gtk_frame_new("Select a bank account from the list");
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), frame,
						TRUE, TRUE, 0);

	combo = gtk_combo_box_new_text();
	for (acp = acctp; acp != NULL; acp = acp->next)
		gtk_combo_box_append_text(GTK_COMBO_BOX(combo),acp->data->name);
	gtk_combo_box_set_active(GTK_COMBO_BOX(combo), 0);

	gtk_container_add(GTK_CONTAINER(frame), combo);
	gtk_widget_show(combo);

	gtk_widget_show(frame);
	gtk_widget_show(dialog);

	acp = NULL;
	if (gtk_dialog_run(GTK_DIALOG(dialog)) == GTK_RESPONSE_ACCEPT) {
		curr = gtk_combo_box_get_active(GTK_COMBO_BOX(combo));
		for (i = 0, acp = acctp; i < curr; i++)
			if (acp != NULL && acp->next != NULL)
				acp = acp->next;
	}
	gtk_widget_destroy(dialog);
	return(acp == NULL ? NULL : acp->data);
}
