/*
 * $Id: beanie_gui.h,v 1.5 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: beanie_gui.h,v $
 * Revision 1.5  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.4  2005/09/21 18:10:27  dtynan
 * Extensive changes prior to first public release, including an
 * import/export mechanism.
 *
 * Revision 1.3  2005/04/01 17:04:58  dtynan
 * Added new functions to handle contacts, customers and countries.
 *
 * Revision 1.2  2004/12/09 19:17:48  dtynan
 * Extensive functionality improvements.
 *
 * Revision 1.1  2004/12/08 14:28:14  dtynan
 * First pass at a useable GUI.
 *
 */
#include "beanie.h"

#define PACKAGE			"beanie"
#define VERSION			"0.1"
#define PACKAGE_DATA_DIR	"/usr/local/share"

#define BS_BOLD		0x80
#define BS_ITALIC	0x40
#define BS_UNDERLINE	0x20
#define BS_BLANK	0x10
#define BS_DLINE	0x08
#define BS_LINE		0x04
#define BS_COL1		0x02
#define BS_COL2		0x01

#define CR_MARKUP	0x01
#define CR_RALIGN	0x02

GtkWidget	*create_beanie(void);
gint		session_die(GnomeClient *, gpointer);
void		error(char *);
void		warning(char *);

void		select_company(GtkMenuItem *, gpointer);
void		select_year(GtkMenuItem *, gpointer);
struct	nabal	*select_nomacct(GtkMenuItem *, gpointer);
struct db_bankacct *select_bankacct(GtkMenuItem *, gpointer);

int		get_current_year();
int		is_current_year();

void		open_activate(GtkMenuItem *, gpointer);
void		save_activate(GtkMenuItem *, gpointer);
void		save_as_activate(GtkMenuItem *, gpointer);
void		exit_activate(GtkMenuItem *, gpointer);
void		cut_activate(GtkMenuItem *, gpointer);
void		copy_activate(GtkMenuItem *, gpointer);
void		paste_activate(GtkMenuItem *, gpointer);
void		clear_activate(GtkMenuItem *, gpointer);
void		props_activate(GtkMenuItem *, gpointer);
void		prefs_activate(GtkMenuItem *, gpointer);
void		payment_activate(GtkMenuItem *, gpointer);
void		about_activate(GtkMenuItem *, gpointer);
void		killdialog(GtkWidget *, gpointer);

void		edit_customer(GtkWidget *);
void		customer_statement(GtkWidget *);
void		sales_receipt(GtkMenuItem *, gpointer);
void		aged_debtors(GtkWidget *);
void		show_invoice(GtkWidget *);

void		make_details(GtkWidget *);
void		update_details();

void		edit_contact(GtkWidget *);

GtkTextBuffer	*genreport(char *, char *);
void		reportline(GtkTextBuffer *, char *, double, int);
void		balsheet(GtkWidget *);
void		pandloss(GtkWidget *);
void		journalbals(GtkWidget *);
void		journalstmnt(GtkWidget *);
void		bankstmnt(GtkWidget *);

dbow_conn	*get_main_dbase();
dbow_conn	*get_company_dbase();
void		set_company(int);

GtkWidget	*country_combo_make();
int		country_combo_get(GtkWidget *);
void		country_combo_set(GtkWidget *, int);

void		cstatement(int);

struct db_company *get_current_company();

void		acctview(int, char *);
void		 columnheader(GtkWidget *, char *, int, int, int, int);
