#ident "Kalopa: $Id: country.c,v 1.4 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: country.c,v 1.4 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: country.c,v $
 * Revision 1.4  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.3  2006/07/31 10:17:47  dtynan
 * Massive changeover to a more Ruby/Rails primary key naming convention.
 *
 * Revision 1.2  2005/04/08 14:10:07  dtynan
 * Minor bug fixes.
 *
 * Revision 1.1  2005/04/01 17:04:58  dtynan
 * Added new functions to handle contacts, customers and countries.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

struct	cntlist	{
	struct	cntlist		*next;
	int			posn;
	struct	db_country	*data;
};

static	int		curr;
static	struct	cntlist	*head = NULL;

/*
 *
 */
GtkWidget *
country_combo_make()
{
	int row;
	GtkWidget *combo;
	dbow_conn *dbp;
	struct cntlist *clp, *tail;
	struct db_country *cp;

	if (head == NULL) {
		dbp = get_main_dbase();
		for (cp = db_findcountryfirst(dbp);
					cp != NULL;
					cp = db_findcountrynext(dbp, NULL)) {
			clp = (struct cntlist *)malloc(sizeof(*clp));
			if (clp == NULL)
				break;
			clp->next = NULL;
			clp->posn = 0;
			clp->data = cp;
			if (head == NULL)
				head = clp;
			else
				tail->next = clp;
			tail = clp;
		}
	}
	combo = gtk_combo_box_new_text();
	row = 0;
	for (clp = head; clp != NULL; clp = clp->next) {
		gtk_combo_box_append_text(GTK_COMBO_BOX(combo), clp->data->cname);
		clp->posn = row++;
	}
	country_combo_set(combo, 101);
	return(combo);
}

/*
 *
 */
int
country_combo_get(GtkWidget *combo)
{
	struct cntlist *clp;

	for (clp = head; curr > 0 && clp != NULL; clp = clp->next)
		if (clp->posn == curr)
			return(clp->data->id);
	return(0);
}

/*
 *
 */
void
country_combo_set(GtkWidget *combo, int cid)
{
	struct cntlist *clp = NULL;

	printf("country_combo_set to %d...\n", cid);
	if (cid > 0) {
		for (clp = head; clp != NULL; clp = clp->next)
			if (clp->data->id == cid)
				break;
	}
	curr = (clp == NULL) ? 0 : clp->posn;
	gtk_combo_box_set_active(GTK_COMBO_BOX(combo), curr);
}
