#ident "Kalopa$Id: customer.c,v 1.4 2008/10/13 20:59:37 dtynan Exp $"

/*
 * $Id: customer.c,v 1.4 2008/10/13 20:59:37 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: customer.c,v $
 * Revision 1.4  2008/10/13 20:59:37  dtynan
 * Extensive changes (part 1) for change to database configuration.
 *
 * Revision 1.3  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.2  2005/04/08 14:10:08  dtynan
 * Minor bug fixes.
 *
 * Revision 1.1  2005/04/01 17:04:59  dtynan
 * Added new functions to handle contacts, customers and countries.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

static	GtkWidget	*ccode;
static	GtkWidget	*lname;
static	GtkWidget	*fname;
static	GtkWidget	*addr1;
static	GtkWidget	*addr2;
static	GtkWidget	*addr3;
static	GtkWidget	*city;
static	GtkWidget	*state;
static	GtkWidget	*zip;
static	GtkWidget	*country;
static	GtkWidget	*wsite;
static	GtkWidget	*phone;
static	GtkWidget	*fax;
static	GtkWidget	*email;

/*
 *
 */
static void
customer_fill(struct db_contact *cp)
{
	if (cp == NULL || cp->lname == NULL)
		gtk_entry_set_text(GTK_ENTRY(lname), "");
	else
		gtk_entry_set_text(GTK_ENTRY(lname), cp->lname);
	if (cp == NULL || cp->fname == NULL)
		gtk_entry_set_text(GTK_ENTRY(fname), "");
	else
		gtk_entry_set_text(GTK_ENTRY(fname), cp->fname);
	if (cp == NULL || cp->a1 == NULL)
		gtk_entry_set_text(GTK_ENTRY(addr1), "");
	else
		gtk_entry_set_text(GTK_ENTRY(addr1), cp->a1);
	if (cp == NULL || cp->a2 == NULL)
		gtk_entry_set_text(GTK_ENTRY(addr2), "");
	else
		gtk_entry_set_text(GTK_ENTRY(addr2), cp->a2);
	if (cp == NULL || cp->a3 == NULL)
		gtk_entry_set_text(GTK_ENTRY(addr3), "");
	else
		gtk_entry_set_text(GTK_ENTRY(addr3), cp->a3);
	if (cp == NULL || cp->city == NULL)
		gtk_entry_set_text(GTK_ENTRY(city), "");
	else
		gtk_entry_set_text(GTK_ENTRY(city), cp->city);
	if (cp == NULL || cp->state_county == NULL)
		gtk_entry_set_text(GTK_ENTRY(state), "");
	else
		gtk_entry_set_text(GTK_ENTRY(state), cp->state_county);
	if (cp == NULL || cp->postcode_zip == NULL)
		gtk_entry_set_text(GTK_ENTRY(zip), "");
	else
		gtk_entry_set_text(GTK_ENTRY(zip), cp->postcode_zip);
	if (cp == NULL || cp->phone == NULL)
		gtk_entry_set_text(GTK_ENTRY(phone), "");
	else
		gtk_entry_set_text(GTK_ENTRY(phone), cp->phone);
	if (cp == NULL)
		country_combo_set(country, 0);
	else
		country_combo_set(country, cp->country_id);
	if (cp == NULL || cp->fax == NULL)
		gtk_entry_set_text(GTK_ENTRY(fax), "");
	else
		gtk_entry_set_text(GTK_ENTRY(fax), cp->fax);
	if (cp == NULL || cp->website == NULL)
		gtk_entry_set_text(GTK_ENTRY(wsite), "");
	else
		gtk_entry_set_text(GTK_ENTRY(wsite), cp->website);
	if (cp == NULL || cp->email == NULL)
		gtk_entry_set_text(GTK_ENTRY(lname), "");
	else
		gtk_entry_set_text(GTK_ENTRY(lname), cp->email);
}

/*
 *
 */
static void
customer_activate(GtkWidget *widget, gpointer udata)
{
	printf("Activate.\n");
}

/*
 *
 */
static int
customer_leave(GtkWidget *widget, gpointer udata)
{
	char *cp;
	dbow_conn *dbp;
	struct db_customer *cusp;
	struct db_contact *conp;

	dbp = get_main_dbase();
	cp = (char *)gtk_entry_get_text(GTK_ENTRY(widget));
	if (widget == ccode) {
		printf("CCODE: %s\n", cp);
		if ((conp = contact_findcode(dbp, cp)) == NULL) {
			printf("Can't find it\n");
			return(FALSE);
		}
		customer_fill(conp);
		return(FALSE);
	}
	printf("Field changed: %s\n", cp);
	return(FALSE);
}

/*
 *
 */
static void
genfield(GtkWidget *table, char *labname, int x, int y, GtkWidget **widget)
{
	GtkWidget *label;
	GtkWidget *entry;

	if (labname != NULL) {
		label = gtk_label_new(labname);
		gtk_table_attach(GTK_TABLE(table), label, 0, 1, x, y,
				(GtkAttachOptions )GTK_FILL,
				(GtkAttachOptions )0, 0, 0);
		gtk_misc_set_alignment(GTK_MISC(label), 1.0, 0.5);
		gtk_widget_show(label);
	}
	entry = gtk_entry_new();
	*widget = entry;
	gtk_table_attach(GTK_TABLE(table), entry, 1, 2, x, y,
			(GtkAttachOptions )(GTK_EXPAND | GTK_FILL),
			(GtkAttachOptions )0, 0, 0);
	gtk_entry_set_has_frame(GTK_ENTRY(entry), FALSE);
	g_signal_connect((gpointer )entry, "activate",
			G_CALLBACK(customer_activate), NULL);
	g_signal_connect((gpointer )entry, "focus-out-event",
			G_CALLBACK(customer_leave), NULL);
	gtk_widget_show(entry);
}

/*
 *
 */
void
edit_customer(GtkWidget *widget)
{
	dbow_conn *dbp, *dbcp;
	struct db_customer *cusp;
	struct db_contact *conp;
	GtkWidget *dialog;
	GtkWidget *frame;
	GtkWidget *table;
	GtkWidget *label;

	dbp = get_main_dbase();
	if ((dbcp = get_company_dbase()) == NULL)
		return;

	dialog = gtk_dialog_new_with_buttons("Edit Customer Details", NULL,
				0,
				GTK_STOCK_SAVE, GTK_RESPONSE_ACCEPT,
				GTK_STOCK_CANCEL, GTK_RESPONSE_REJECT,
				NULL);
	gtk_window_set_default_size(GTK_WINDOW(dialog), 250, -1);
	gtk_container_border_width(GTK_CONTAINER(dialog), 5);
	gtk_widget_realize(dialog);

	frame = gtk_frame_new("Enter / Change Customer Details");
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), frame,
						TRUE, TRUE, 0);

	table = gtk_table_new(14, 2, FALSE);
	gtk_container_add(GTK_CONTAINER(frame), table);
	gtk_table_set_row_spacings(GTK_TABLE(table), 2);
	gtk_table_set_col_spacings(GTK_TABLE(table), 2);
	gtk_widget_show(table);

	label = gtk_label_new(_("Customer Code:"));
	gtk_table_attach(GTK_TABLE(table), label, 0, 1, 0, 1,
			(GtkAttachOptions )GTK_FILL,
			(GtkAttachOptions )0, 0, 0);
	gtk_misc_set_alignment(GTK_MISC(label), 1.0, 0.5);
	gtk_widget_show(label);

	genfield(table, "Customer Code:", 0, 1, &ccode);
	gtk_entry_set_max_length(GTK_ENTRY(ccode), 8);
	genfield(table, "Last Name:", 1, 2, &lname);
	genfield(table, "First Name:", 2, 3, &fname);
	genfield(table, "Address:", 3, 4, &addr1);
	genfield(table, NULL, 4, 5, &addr2);
	genfield(table, NULL, 5, 6, &addr3);
	genfield(table, "City:", 6, 7, &city);
	genfield(table, "County:", 7, 8, &state);
	genfield(table, "Postcode:", 8, 9, &zip);

	label = gtk_label_new("Country:");
	gtk_table_attach(GTK_TABLE(table), label, 0, 1, 9, 10,
			(GtkAttachOptions )GTK_FILL,
			(GtkAttachOptions )0, 0, 0);
	gtk_misc_set_alignment(GTK_MISC(label), 1.0, 0.5);
	gtk_widget_show(label);

	country = country_combo_make();
	gtk_table_attach(GTK_TABLE(table), country, 1, 2, 9, 10,
			(GtkAttachOptions )(GTK_EXPAND | GTK_FILL),
			(GtkAttachOptions )0, 0, 0);
	gtk_widget_show(country);

	genfield(table, "Phone:", 10, 11, &phone);
	genfield(table, "Fax:", 11, 12, &fax);
	genfield(table, "Website:", 12, 13, &wsite);
	genfield(table, "Email:", 13, 14, &email);

	gtk_widget_show(frame);
	gtk_widget_show(dialog);

	if (gtk_dialog_run(GTK_DIALOG(dialog)) == GTK_RESPONSE_ACCEPT) {
#if 0
		curr = gtk_combo_box_get_active(GTK_COMBO_BOX(combo));
		for (i = 0, xcp = comp; i < curr; i++)
			if (xcp && xcp->next != NULL)
				xcp = xcp->next;
		if (xcp != NULL) {
			if (compdb != NULL)
				dbow_close(compdb);
			compdb = beanie_init(xcp->data->tag, 0);
			currcomp = xcp->data;
			update_details();
		}
#endif
	}
	gtk_widget_destroy(dialog);
}
