#ident "Kalopa: $Id: details.c,v 1.5 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: details.c,v 1.5 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: details.c,v $
 * Revision 1.5  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.4  2005/09/21 18:10:27  dtynan
 * Extensive changes prior to first public release, including an
 * import/export mechanism.
 *
 * Revision 1.3  2004/12/09 20:17:54  dtynan
 * Cleaned up include topology.
 *
 * Revision 1.2  2004/12/09 19:17:49  dtynan
 * Extensive functionality improvements.
 *
 * Revision 1.1  2004/12/08 14:28:15  dtynan
 * First pass at a useable GUI.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

static	GtkWidget	*view = NULL;

/*
 *
 */
void
make_details(GtkWidget *frame)
{
	PangoTabArray *tabs;

	tabs = pango_tab_array_new_with_positions(2, TRUE,
					PANGO_TAB_LEFT, 0,
					PANGO_TAB_LEFT, 200);

	view = gtk_text_view_new();
	gtk_container_border_width(GTK_CONTAINER(frame), 5);
	gtk_container_add(GTK_CONTAINER(frame), view);
	gtk_text_view_set_editable(GTK_TEXT_VIEW(view), FALSE);
	gtk_text_view_set_tabs(GTK_TEXT_VIEW(view), tabs);

	gtk_widget_show(view);
	update_details();
}

/*
 *
 */
void
update_details()
{
	int year;
	char data[256];
	GtkTextBuffer *buffer;
	struct db_company *cp = get_current_company();

	if (cp == NULL || view == NULL)
		return;
	buffer =  gtk_text_view_get_buffer(GTK_TEXT_VIEW(view));
	gtk_text_buffer_set_text (buffer, "", -1);

	if ((year = is_current_year()) != 0) {
		sprintf(data, ">>>> ACTIVE YEAR:\t%04d\n", year);
		gtk_text_buffer_insert_at_cursor(buffer, data, -1);
	}
	sprintf(data, "Company Name:\t%s (%s)\n", cp->name, cp->tag);
	gtk_text_buffer_insert_at_cursor(buffer, data, -1);
	sprintf(data, "CRO Registration Number:\t%s\n", cp->regno);
	gtk_text_buffer_insert_at_cursor(buffer, data, -1);
	sprintf(data, "Corporation Tax ID:\t%s\n", cp->taxno);
	gtk_text_buffer_insert_at_cursor(buffer, data, -1);
	sprintf(data, "VAT Number:\t%s\n", cp->vatno == NULL ? "" : cp->vatno);
	gtk_text_buffer_insert_at_cursor(buffer, data, -1);
	sprintf(data, "Current Year End:\t%s\n", prtime(&cp->yend));
	gtk_text_buffer_insert_at_cursor(buffer, data, -1);
	sprintf(data, "Annual Return Date:\t%s\n", prtime(&cp->ard));
	gtk_text_buffer_insert_at_cursor(buffer, data, -1);
	sprintf(data, "Account processing up to:\t%s\n", prtime(&cp->rdate));
	gtk_text_buffer_insert_at_cursor(buffer, data, -1);
}
