#ident "Kalopa: $Id: getyear.c,v 1.2 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: getyear.c,v 1.2 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: getyear.c,v $
 * Revision 1.2  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.1  2006/07/31 09:00:00  dtynan
 * Added missing files.
 *
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

#define YBASE	2000

static	int	cyear = 0;
static	int	selyear;

/*
 *
 */
int
get_current_year()
{
	time_t now;
	struct tm *tmp;

	if (cyear == 0) {
		time(&now);
		tmp = localtime(&now);
		selyear = cyear = tmp->tm_year + 1900;
	}
	return(selyear);
}

/*
 *
 */
int
is_current_year()
{
	int i = get_current_year();

	return(i == cyear ? 0 : i);
}

/*
 *
 */
void
select_year(GtkMenuItem *menuitem, gpointer udata)
{
	int i;
	char ystr[16];
	GtkWidget *dialog;
	GtkWidget *frame;
	GtkWidget *combo;

	get_current_year();
	dialog = gtk_dialog_new_with_buttons("Select Fiscal Year", NULL,
				0,
				GTK_STOCK_OK, GTK_RESPONSE_ACCEPT,
				GTK_STOCK_CANCEL, GTK_RESPONSE_REJECT,
				NULL);
	gtk_window_set_default_size(GTK_WINDOW(dialog), 150, -1);
	gtk_container_border_width(GTK_CONTAINER(dialog), 5);
	gtk_widget_realize(dialog);

	frame = gtk_frame_new("Select a fiscal year from the list");
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), frame,
						TRUE, TRUE, 0);

	combo = gtk_combo_box_new_text();
	for (i = YBASE; i <= cyear; i++) {
		sprintf(ystr, "%04d", i);
		gtk_combo_box_append_text(GTK_COMBO_BOX(combo), ystr);
	}
	gtk_combo_box_set_active(GTK_COMBO_BOX(combo), cyear - YBASE);
	gtk_container_add(GTK_CONTAINER(frame), combo);
	gtk_widget_show(combo);
	gtk_widget_show(frame);
	gtk_widget_show(dialog);

	if (gtk_dialog_run(GTK_DIALOG(dialog)) == GTK_RESPONSE_ACCEPT) {
		selyear = gtk_combo_box_get_active(GTK_COMBO_BOX(combo))+YBASE;
		update_details();
	}
	gtk_widget_destroy(dialog);
}
