#ident "Kalopa: $Id: sales.c,v 1.3 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: sales.c,v 1.3 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: sales.c,v $
 * Revision 1.3  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.2  2004/12/09 20:17:55  dtynan
 * Cleaned up include topology.
 *
 * Revision 1.1  2004/12/08 14:28:15  dtynan
 * First pass at a useable GUI.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

GtkWidget	*cusid;
GtkWidget	*amount;

/*
 *
 */
void
sales_receipt(GtkMenuItem *menuitem, gpointer udata)
{
	GtkWidget *dialog;
	GtkWidget *frame;
	GtkWidget *table;
	GtkWidget *label;
	dbow_conn *db;

	if ((db = get_company_dbase()) == NULL)
		return;
	printf("Sales receipt.\n");
	dialog = gtk_dialog_new_with_buttons("Sales Receipts", NULL,
				0,
				GTK_STOCK_GO_FORWARD, GTK_RESPONSE_ACCEPT,
				GTK_STOCK_CANCEL, GTK_RESPONSE_REJECT,
				NULL);
	gtk_container_border_width(GTK_CONTAINER(dialog), 5);
	g_signal_connect_swapped(G_OBJECT(dialog), "response", 
				G_CALLBACK (gtk_widget_destroy), dialog);
	gtk_widget_realize(dialog);

	frame = gtk_frame_new("Enter Sales Receipts");
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), frame,
						TRUE, TRUE, 0);

	table = gtk_table_new(2, 2, FALSE);
	gtk_container_add(GTK_CONTAINER(frame), table);
	gtk_widget_show(table);

	label = gtk_label_new("Customer ID");
	gtk_table_attach_defaults(GTK_TABLE(table), label, 0, 1, 0, 1);
	gtk_widget_show(label);

	label = gtk_label_new("Amount");
	gtk_table_attach_defaults(GTK_TABLE(table), label, 0, 1, 1, 2);
	gtk_widget_show(label);

	cusid = gtk_entry_new();
	gtk_table_attach_defaults(GTK_TABLE(table), cusid, 1, 2, 0, 1);
	gtk_widget_show(cusid);

	amount = gtk_entry_new();
	gtk_table_attach_defaults(GTK_TABLE(table), amount, 1, 2, 1, 2);
	gtk_widget_show(amount);

	gtk_widget_show(frame);
	gtk_widget_show(dialog);
}
