#ident "Kalopa: $Id: statement.c,v 1.2 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: statement.c,v 1.2 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: statement.c,v $
 * Revision 1.2  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.1  2006/07/31 09:00:00  dtynan
 * Added missing files.
 */
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

#include <bonobo.h>
#include <gnome.h>

#include "beanie_gui.h"

/*
 *
 */
enum	{
	COLUMN_DATE,
	COLUMN_FOLIO,
	COLUMN_DESCR,
	COLUMN_DEBIT,
	COLUMN_CREDIT,
	COLUMN_TOTAL,
	NCOLUMNS
};

struct	db_sledger	*findsledgerentries(dbow_conn *, int);

/*
 *
 */
void
customer_statement(GtkWidget *widget)
{
	cstatement(12);
}

/*
 *
 */
void
cstatement(int customer)
{
	int drcr, year;
	char mtitle[64];
	struct db_sledger *slp;
	dbow_conn *db;
	double amt, tot;
	struct tm *tmp;
	GtkWidget *dialog;
	GtkWidget *scroll;
	GtkWidget *tree;
	GtkTreeIter iter;
	GtkListStore *store;

	if ((db = get_company_dbase()) == NULL)
		return;

	year = get_current_year() - 1900;
	store = gtk_list_store_new(NCOLUMNS,
					G_TYPE_STRING,
					G_TYPE_STRING,
					G_TYPE_STRING,
					G_TYPE_STRING,
					G_TYPE_STRING,
					G_TYPE_STRING);

	tot = 0.0;
	for (slp = findsledgerentries(db, customer); slp != NULL;
				slp = db_findsledgernext(db, slp)) {
		if ((tmp = localtime((time_t *)&slp->sldate)) == NULL)
			continue;
		if (tmp->tm_year != year)
			continue;
		gtk_list_store_append(store, &iter);
		if (slp->amount < 0) {
			amt = -slp->amount;
			drcr = COLUMN_DEBIT;
		} else {
			amt = slp->amount;
			drcr = COLUMN_CREDIT;
		}
		tot += slp->amount;
		gtk_list_store_set(store, &iter,
			COLUMN_DATE, strdup(prabbrev(&slp->sldate)),
			COLUMN_FOLIO, strdup(slp->folio==NULL?"":slp->folio),
			COLUMN_DESCR, strdup(slp->descr),
			drcr, strdup(bal(amt, NULL)),
			COLUMN_TOTAL, strdup(bal(tot, NULL)),
			-1);
	}
	sprintf(mtitle, "Account Statement for TG4");
	dialog = gtk_dialog_new_with_buttons(mtitle, NULL, 0,
				GTK_STOCK_OK, GTK_RESPONSE_ACCEPT,
				NULL);
	gtk_window_set_default_size(GTK_WINDOW(dialog), 600, 600);
	gtk_container_border_width(GTK_CONTAINER(dialog), 5);
	g_signal_connect_swapped(G_OBJECT(dialog), "response",
				G_CALLBACK(gtk_widget_destroy), dialog);
	gtk_widget_realize(dialog);

	scroll = gtk_scrolled_window_new(NULL, NULL);
	gtk_scrolled_window_set_shadow_type(GTK_SCROLLED_WINDOW(scroll),
					GTK_SHADOW_ETCHED_IN);
	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scroll),
					GTK_POLICY_NEVER,
					GTK_POLICY_AUTOMATIC);
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), scroll,
						TRUE, TRUE, 0);

	tree = gtk_tree_view_new_with_model(GTK_TREE_MODEL(store));
	gtk_tree_view_set_rules_hint(GTK_TREE_VIEW(tree), TRUE);
	gtk_tree_view_set_search_column(GTK_TREE_VIEW(tree), COLUMN_DESCR);
	gtk_container_add(GTK_CONTAINER(scroll), tree);
	g_object_unref(store);

	columnheader(tree, "Date", COLUMN_DATE, 100, 100, CR_RALIGN);
	columnheader(tree, "Folio", COLUMN_FOLIO, 80, 80, CR_RALIGN);
	columnheader(tree, "Description", COLUMN_DESCR, 200, 0, 0);
	columnheader(tree, "Debit", COLUMN_DEBIT, 100, 100, CR_RALIGN);
	columnheader(tree, "Credit", COLUMN_CREDIT, 100, 100, CR_RALIGN);
	columnheader(tree, "Balance", COLUMN_TOTAL, 110, 110, CR_RALIGN);

	gtk_widget_show(tree);
	gtk_widget_show(scroll);
	gtk_widget_show(dialog);
}
