#ident "$Id: customer.c,v 1.5 2008/10/15 15:11:13 dtynan Exp $"

/*
 * $Id: customer.c,v 1.5 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: customer.c,v $
 * Revision 1.5  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.4  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.3  2006/07/31 10:17:48  dtynan
 * Massive changeover to a more Ruby/Rails primary key naming convention.
 *
 * Revision 1.2  2005/09/26 15:44:36  dtynan
 * Fixed import bug where records didn't get inserted in some cases.
 *
 * Revision 1.1  2005/09/21 14:14:34  dtynan
 * Major addition of data-import functionality.
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <ctype.h>

#include <expat.h>

#include "beanie.h"
#include "hacks.h"

#include "import.h"

int	editcustomer(struct db_customer *);

/*
 *
 */
int
docustomer(struct ctxt *cp, int token)
{
	struct db_customer *cusp = (struct db_customer *)cp->tail->udata;
	struct db_customer *cusp2;
	dbow_conn *dbp = getdbase();

	switch (token) {
	case TOKEN_CONTACT:
		cusp->contact_id = cp->tail->id;
		break;

	case TOKEN_CURRENCY:
		/* FIXME */
		break;

	case TOKEN_POSTBILL:
		cusp->billtype = CUST_BTYPE_POST;
		break;

	case TOKEN_FAXBILL:
		cusp->billtype = CUST_BTYPE_FAX;
		break;

	case TOKEN_EMAILBILL:
		cusp->billtype = CUST_BTYPE_EMAIL;
		break;

	case TOKEN_VATNO:
		cusp->vat = cp->data;
		cp->data = NULL;
		break;

	case TOKEN_TERMS:
		cusp->terms = cp->data;
		cp->data = NULL;
		break;

	case TOKEN_BALANCE:
		cusp->balance = atof(cp->data);
		break;

	case TOKEN_FLAG:
		cusp->cusflag = atoi(cp->data);
		break;

	case TOKEN_CUSTOMER:
		break;

	default:
		berror("import", "invalid XML tag in customer field");
		break;
	}
	if (token != TOKEN_CUSTOMER) {
		cp->sawf = 1;
		return(0);
	}
	if (cusp->id == 0 && cusp->contact_id != 0 &&
				(cusp2 = db_findcustomerbycontact_id(dbp,
				cusp->contact_id)) != NULL) {
		cusp->id = cusp2->id;
		db_customerfree(cusp2);
	}
	if (cp->sawf) {
		if (cusp->id == 0 || editcustomer(cusp) == -1)
			db_insertcustomer(dbp, cusp);
	}
	return(cusp->id);
}

/*
 *
 */
int
editcustomer(struct db_customer *cusp)
{
	struct db_customer *cusp2;
	dbow_conn *dbp = getdbase();

	cusp2 = db_findcustomerbyid(dbp, cusp->id);
	if (cusp2 == NULL)
		return(-1);
	/*
	 * Don't accept the new balance.
	 */
	cusp2->balance = cusp->balance;
	db_updatecustomerbyid(dbp, cusp2, cusp2->id);
	return(0);
}
