/*
 * $Id: import.h,v 1.6 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write
 * to the Free Software Foundation, 675 Mass Ave, Cambridge, MA
 * 02139, USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: import.h,v $
 * Revision 1.6  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.5  2008/10/13 20:59:37  dtynan
 * Extensive changes (part 1) for change to database configuration.
 *
 * Revision 1.4  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.3  2005/09/21 15:16:43  dtynan
 * The 'cdate' field is actually the completion date of the task, not the
 * creation date.
 *
 * Revision 1.2  2005/09/21 14:14:34  dtynan
 * Major addition of data-import functionality.
 *
 * Revision 1.1  2005/08/12 18:50:10  dtynan
 * First pass at a utility to import data from an XML file into the
 * database.
 */
#define TOKEN_SHARECERT		0
#define TOKEN_SHAREDATE		1
#define TOKEN_NOSHARES		2
#define TOKEN_STARTNO		3
#define TOKEN_ENDNO		4
#define TOKEN_PRICE		5
#define TOKEN_SALESORDER	6
#define TOKEN_CUSTOMER		7
#define TOKEN_CONTACT		8
#define TOKEN_CCODE		9
#define TOKEN_NAME		10
#define TOKEN_FIRSTNAME		11
#define TOKEN_LASTNAME		12
#define TOKEN_ADDR		13
#define TOKEN_CITY		14
#define TOKEN_STATE		15
#define TOKEN_ZIP		16
#define TOKEN_COUNTRY		17
#define TOKEN_WEBSITE		18
#define TOKEN_PHONE		19
#define TOKEN_FAX		20
#define TOKEN_EMAIL		21
#define TOKEN_CURRENCY		22
#define TOKEN_POSTBILL		23
#define TOKEN_FAXBILL		24
#define TOKEN_EMAILBILL		25
#define TOKEN_VATNO		26
#define TOKEN_TERMS		27
#define TOKEN_BALANCE		28
#define TOKEN_FLAG		29
#define TOKEN_ORDERDATE		30
#define TOKEN_YOURREF		31
#define TOKEN_DESCR		32
#define TOKEN_NEWORDER		33
#define TOKEN_READY		34
#define TOKEN_DONE		35
#define TOKEN_BLOCKED		36
#define TOKEN_ITEM		37
#define TOKEN_PRODUCT		38
#define TOKEN_PCODE		39
#define TOKEN_SERVICE		40
#define TOKEN_MANUFACTURED	41
#define TOKEN_RESALE		42
#define TOKEN_IDESCR		43
#define TOKEN_RETAIL_PRICE	44
#define TOKEN_TRADE_PRICE	45
#define TOKEN_WSALE_PRICE	46
#define TOKEN_VATCODE		47
#define TOKEN_NOMACCT		48
#define TOKEN_RUNDATE		49
#define TOKEN_ENDDATE		50
#define TOKEN_FREQUENCY		51
#define TOKEN_QUANTITY		52
#define TOKEN_UNITCOST		53
#define TOKEN_INVOICE		54
#define TOKEN_DATE		55
#define TOKEN_DUEDATE		56
#define TOKEN_TOTAL		57
#define TOKEN_VAT_TOTAL		58
#define TOKEN_SHIPPING		59
#define TOKEN_DISCOUNT		60
/*
 * The following are pseudo-tokens to further clarify a basic token type.
 */
#define TOKEN_ORDER_ITEM	61
#define TOKEN_INVOICE_ITEM	62

#define ATTR_NUMBER		0
#define ATTR_VTYPE		1
#define ATTR_ONCE		2
#define ATTR_HOUR		3
#define ATTR_DAY		4
#define ATTR_YEAR		5
#define ATTR_MONTH		6
#define ATTR_MANUAL		7

/*
 *
 */
struct	nest	{
	struct	nest	*next;
	int		token;
	int		id;
	void		*udata;
};

/*
 *
 */
struct	ctxt	{
	struct	nest	*head;
	struct	nest	*tail;
	int		level;
	int		elem;
	char		*data;
	int		dlen;
	int		sawf;
	char		*vtype;
	int		freq;
};

/*
 *
 */
int	checkstrfield(char **, char **, int);
int	checkintfield(int *, int *, int);
int	checkshortfield(short *, short *, int);

int	dosharecert(struct ctxt *, int);
int	dosalesorder(struct ctxt *, int);
int	doorderitem(struct ctxt *, int);
int	doinvoice(struct ctxt *, int);
int	doinvoiceitem(struct ctxt *, int);
int	docustomer(struct ctxt *, int);
int	docontact(struct ctxt *, int);
int	doproduct(struct ctxt *, int);
