#ident "$Id: product.c,v 1.5 2008/10/15 15:11:13 dtynan Exp $"

/*
 * $Id: product.c,v 1.5 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: product.c,v $
 * Revision 1.5  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.4  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.3  2006/07/31 10:17:48  dtynan
 * Massive changeover to a more Ruby/Rails primary key naming convention.
 *
 * Revision 1.2  2005/09/26 15:44:36  dtynan
 * Fixed import bug where records didn't get inserted in some cases.
 *
 * Revision 1.1  2005/09/21 14:14:34  dtynan
 * Major addition of data-import functionality.
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <ctype.h>

#include <expat.h>

#include "beanie.h"
#include "hacks.h"

#include "import.h"

int	editproduct(struct db_product *);

/*
 *
 */
int
doproduct(struct ctxt *cp, int token)
{
	struct db_product *pp = (struct db_product *)cp->tail->udata;
	struct db_product *pp2;
	dbow_conn *dbp = getdbase();

	switch (token) {
	case TOKEN_PCODE:
		pp->pcode = cp->data;
		cp->data = NULL;
		break;

	case TOKEN_SERVICE:
		pp->ptype = PROD_TYPE_SERVICE;
		break;

	case TOKEN_MANUFACTURED:
		pp->ptype = PROD_TYPE_MANUF;
		break;

	case TOKEN_RESALE:
		pp->ptype = PROD_TYPE_RESALE;
		break;

	case TOKEN_DESCR:
		pp->descr = cp->data;
		cp->data = NULL;
		break;

	case TOKEN_IDESCR:
		pp->idescr = cp->data;
		cp->data = NULL;
		break;

	case TOKEN_RETAIL_PRICE:
		pp->retail = atof(cp->data);
		break;

	case TOKEN_TRADE_PRICE:
		pp->trade = atof(cp->data);
		break;

	case TOKEN_WSALE_PRICE:
		pp->wsale = atof(cp->data);
		break;

	case TOKEN_VATCODE:
		pp->vat_id = atoi(cp->data);
		break;

	case TOKEN_NOMACCT:
		pp->nomacct_id = atoi(cp->data);
		break;

	case TOKEN_PRODUCT:
		break;

	default:
		berror("import", "invalid XML tag in product field");
		break;
	}
	if (token != TOKEN_PRODUCT) {
		cp->sawf = 1;
		return(0);
	}
	if (pp->id == 0 && pp->pcode != NULL &&
			(pp2 = db_findproductbypcode(dbp, pp->pcode)) != NULL){
		pp->id = pp2->id;
		db_productfree(pp2);
	}
	if (cp->sawf) {
		if (pp->id == 0 || editproduct(pp) == -1)
			db_insertproduct(dbp, pp);
	}
	return(pp->id);
}

/*
 *
 */
int
editproduct(struct db_product *pp)
{
	struct db_product *pp2;
	dbow_conn *dbp = getdbase();

	if ((pp2 = db_findproductbyid(dbp, pp->id)) == NULL)
		return(-1);
	db_updateproductbyid(dbp, pp2, pp2->id);
	return(0);
}
