#ident "$Id: sharecert.c,v 1.6 2008/10/15 15:11:13 dtynan Exp $"

/*
 * $Id: sharecert.c,v 1.6 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: sharecert.c,v $
 * Revision 1.6  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.5  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.4  2006/07/31 10:17:50  dtynan
 * Massive changeover to a more Ruby/Rails primary key naming convention.
 *
 * Revision 1.3  2005/09/26 15:44:36  dtynan
 * Fixed import bug where records didn't get inserted in some cases.
 *
 * Revision 1.2  2005/09/21 14:23:01  dtynan
 * Added share cert functionality.
 *
 * Revision 1.1  2005/09/21 14:14:34  dtynan
 * Major addition of data-import functionality.
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <ctype.h>

#include <expat.h>

#include "beanie.h"
#include "hacks.h"

#include "import.h"

int	editsharecert(struct db_sharecert *);

/*
 *
 */
int
dosharecert(struct ctxt *cp, int token)
{
	struct db_sharecert *scp = (struct db_sharecert *)cp->tail->udata;
	dbow_conn *dbp = getdbase();

	switch (token) {
	case TOKEN_SHAREDATE:
		parsedate(cp->data, &scp->sdate);
		break;

	case TOKEN_CONTACT:
		scp->contact_id = cp->tail->id;
		break;

	case TOKEN_NOSHARES:
		scp->nshares = atoi(cp->data);
		break;

	case TOKEN_STARTNO:
		scp->startnum = atoi(cp->data);
		break;

	case TOKEN_ENDNO:
		scp->endnum = atoi(cp->data);
		break;

	case TOKEN_PRICE:
		scp->price = atof(cp->data);
		break;

	case TOKEN_SHARECERT:
		break;

	default:
		berror("import", "invalid XML tag in share certificate field");
		break;
	}
	if (token != TOKEN_SHARECERT) {
		cp->sawf = 1;
		return(0);
	}
	if (cp->sawf) {
		if (scp->id == 0 || editsharecert(scp) == -1)
			db_insertsharecert(dbp, scp);
	}
	return(scp->id);
}

/*
 *
 */
int
editsharecert(struct db_sharecert *scp)
{
	struct db_sharecert *scp2;
	dbow_conn *dbp = getdbase();

	if ((scp2 = db_findsharecertbyid(dbp, scp->id)) == NULL)
		return(-1);
	db_updatesharecertbyid(dbp, scp2, scp2->id);
	return(0);
}
