#ident "Kalopa: $Id: balance.c,v 1.8 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: balance.c,v 1.8 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: balance.c,v $
 * Revision 1.8  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.7  2007/08/06 17:25:03  dtynan
 * Another tweak to get proper output.
 *
 * Revision 1.6  2007/08/06 10:51:37  dtynan
 * Rejigged the floating point to integer calculation to fix a nasty
 * roundoff bug.
 *
 * Revision 1.5  2005/12/19 22:52:56  dtynan
 * Fixed weird round-up with floating point numbers.  Ughh!!
 *
 * Revision 1.4  2005/10/17 13:33:23  dtynan
 * Extensive changes to print currency prefix (where necessary) and to
 * re-format the output.
 *
 * Revision 1.3  2005/09/21 18:10:28  dtynan
 * Extensive changes prior to first public release, including an
 * import/export mechanism.
 *
 * Revision 1.2  2005/03/22 09:41:15  dtynan
 * Extensive upgrade to make sure the copyright block was
 * consistent and GPL'ed.
 *
 * Revision 1.1  2005/01/13 17:12:51  dtynan
 * Added new function to display a balance (uses parens for negative).
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "beanie.h"

/*
 *
 */
char *
bal(double bal, char *cname)
{
	int i, n, f, ch;
	double div;
	static char balstr[256], *cp;

	cp = balstr;
	if (bal < 0.0) {
		*cp++ = '(';
		ch = ')';
		bal = -bal;
	} else
		ch = ' ';
	if (cname != NULL) {
		strcpy(cp, cname);
		cp = strchr(cp, '\0');
	}
	for (i = f = 0, div = 1000000000.0; i < 3; i++) {
		if ((n = (int )(bal / div)) > 0 || f) {
			if (f)
				sprintf(cp, ",%03d", n);
			else
				sprintf(cp, "%d", n);
			while (*cp != '\0')
				cp++;
			bal -= (double )n * div;
			f = 1;
		}
		div /= 1000.0;
	}
	if (f)
		sprintf(cp, ",%06.2f", bal);
	else
		sprintf(cp, "%.2f", bal);
	cp = strchr(cp, '\0');
	*cp++ = ch;
	*cp = '\0';
	return(balstr);
}
