#ident "$Id: dunning.c,v 1.1 2008/10/31 15:21:37 dtynan Exp $"

/*
 * $Id: dunning.c,v 1.1 2008/10/31 15:21:37 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: dunning.c,v $
 * Revision 1.1  2008/10/31 15:21:37  dtynan
 * New function to calculate terms and conditions and periods therein.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "beanie.h"

/*
 * Standard delays
 */
static struct dtable {
	int	newstate;
	int	delay;
} dtable[] = {
	{INVOICE_STATE_SENT,   30},	/* INVOICE_STATE_NEW */
	{0,    			0},	/* INVOICE_STATE_PAID */
	{0,  			0},	/* INVOICE_STATE_DEAD */
	{INVOICE_STATE_LATE1,  45},	/* INVOICE_STATE_SENT */
	{INVOICE_STATE_LATE2,  60},	/* INVOICE_STATE_LATE1 (> 30 days) */
	{INVOICE_STATE_LATE3,  90},	/* INVOICE_STATE_LATE2 (> 45 days) */
	{INVOICE_STATE_LATE4, 120},	/* INVOICE_STATE_LATE3 (> 60 days) */
	{INVOICE_STATE_LATE5,   6},	/* INVOICE_STATE_LATE4 (> 90 days) */
	{INVOICE_STATE_LATE5,   6}	/* INVOICE_STATE_LATE5 (> 120 days) */
};

/*
 *
 */
void
dunning(struct db_invoice *invp)
{
	struct dtable *dp = &dtable[invp->state];

	if (dp->newstate == 0)
		return;
	invp->ddate = skipholiday(invp->idate + DAYS(dp->delay));
	invp->state = dp->newstate;
}
