#ident "Kalopa: $Id: getanswer.c,v 1.5 2008/01/15 18:10:41 dtynan Exp $"

/*
 * $Id: getanswer.c,v 1.5 2008/01/15 18:10:41 dtynan Exp $
 *
 * Copyright (c) 1996, Claddagh Films Limited.  All rights reserved.
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: getanswer.c,v $
 * Revision 1.5  2008/01/15 18:10:41  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.4  2005/03/22 09:41:17  dtynan
 * Extensive upgrade to make sure the copyright block was
 * consistent and GPL'ed.
 *
 * Revision 1.3  2004/05/12 15:21:15  dtynan
 * Massive check-in of various changes, mostly around DBOW and directory
 * reorganization (moved to /u/beanie).
 *
 * Revision 1.2  2003/11/08 16:10:14  dtynan
 * Added old accounting system functions.
 *
 * Revision 1.1  1997/01/05 03:31:23  dtynan
 * Baseline check-in - most functionality is now present.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <time.h>

#include "beanie.h"

static	char	input[MAXLINELEN+2];

/*
 *
 */
char *
getanswer(char *msg, char *dflt)
{
	char *cp;

	while (1) {
		if (dflt == NULL)
			printf("%s: ", msg);
		else
			printf("%s (%s): ", msg, dflt);
		if (fgets(input, MAXLINELEN, stdin) == NULL)
			exit(0);
		if ((cp = strchr(input, '\n')) != NULL)
			*cp = '\0';
		for (cp = input; isspace(*cp); cp++)
			;
		if (*cp != '\0')
			return(cp);
		if (dflt != NULL)
			return(dflt);
	}
}
