/*
 * $Id: hacks.h,v 1.15 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: hacks.h,v $
 * Revision 1.15  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.14  2008/07/08 17:08:53  dtynan
 * Extensive changes.
 *
 * Revision 1.13  2008/01/15 18:10:43  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.12  2008/01/15 14:05:04  dtynan
 * Added payroll hooks.
 *
 * Revision 1.11  2007/11/11 14:15:19  dtynan
 * Added a new function.
 *
 * Revision 1.10  2007/10/29 17:14:31  dtynan
 * Odds and ends.
 *
 * Revision 1.9  2007/08/06 10:54:05  dtynan
 * Added new prototypes.
 *
 * Revision 1.8  2006/10/01 10:22:35  dtynan
 * Major changes for VAT.
 *
 * Revision 1.7  2006/08/25 11:30:56  dtynan
 * Added new code for managing VAT returns.
 *
 * Revision 1.6  2005/12/18 16:10:52  dtynan
 * Minor fixes.
 *
 * Revision 1.5  2005/09/21 18:10:28  dtynan
 * Extensive changes prior to first public release, including an
 * import/export mechanism.
 *
 * Revision 1.4  2005/08/12 18:52:56  dtynan
 * Changed invoicemail prototype and added some stuff to the hacks directory.
 *
 * Revision 1.3  2005/03/22 09:41:17  dtynan
 * Extensive upgrade to make sure the copyright block was
 * consistent and GPL'ed.
 *
 * Revision 1.2  2004/05/12 15:21:15  dtynan
 * Massive check-in of various changes, mostly around DBOW and directory
 * reorganization (moved to /u/beanie).
 *
 * Revision 1.1  2003/11/08 15:24:28  dtynan
 * Added a new hack include file to overcome limitations in DBOW and added
 * extra stuff to beanie.h
 */

/*
 * These correspond to nominal account numbers, which should really
 * be configured somewhere else.
 */
#define NA_DEBTORSCA	2100
#define NA_CASHSALES	2150
#define NA_MAINBANK	2400
#define NA_ROSRDI	2465
#define NA_VATACCOUNT	2600
#define NA_CREDITORSCA	3000
#define NA_PREPAYMENTS	3700
#define NA_RETAINEDPL	4200
#define NA_ADSALES	5070
#define NA_ROUNDOFF	9300
#define NA_CURRENCY	9400

#define DEFAULT_VATCODE	'A'

/*
 * The following prototypes are for DBOW hacks - functions which DBOW
 * can't create yet so we had to hard-code...
 */
struct db_nomacct *findnomaccts(dbow_conn *);
struct db_sorder_item *findsalesorderitems(dbow_conn *, int);
struct db_sorder_item *findsalesorderitem(dbow_conn *, int, int);
struct db_sledger *findsledgerentries(dbow_conn *, int);
struct db_paye_p30 *findallp30s(dbow_conn *);
int	updateorderitem(dbow_conn *, struct db_sorder_item *);
int	newrundate(dbow_conn *, struct db_sorder_item *);
struct db_invoice *findoverdueinvoice(dbow_conn *);
struct db_invoice_item *findinvoiceitem(dbow_conn *, int, int);
struct db_vatret *findvatreturn(dbow_conn *, int);
struct db_vatdata *findvatdata(dbow_conn *, time_t, int);
struct db_runcom *findruncom(dbow_conn *, int);
struct db_journal *findjournalbynomacct(dbow_conn *, int, int, int);
struct db_journal_item *findjournalitembynomacct(dbow_conn *, int, int);
struct db_journal *findjournalentries(dbow_conn *);
struct db_journal_item *findjournalitems(dbow_conn *, int);
int updatejournal_item(dbow_conn *, struct db_journal_item *);
void deletejournalitems(dbow_conn *, int);
struct db_bank_stmnt *findstatement(dbow_conn *, int, int);
struct db_bankdata *findunposted(dbow_conn *, int);
struct db_hours *findhours(dbow_conn *);
struct db_salary *findsalary(dbow_conn *, int, time_t);
struct db_iepaye *findtaxcredits(dbow_conn *, int, time_t);
struct db_ieprsi *findprsibands(dbow_conn *, char *, time_t);
struct db_payroll *findpayroll(dbow_conn *);
struct db_prbonus *findbonus(dbow_conn *, int, time_t);
