#ident "Kalopa: $Id: orgname.c,v 1.6 2008/01/15 18:10:43 dtynan Exp $"

/*
 * $Id: orgname.c,v 1.6 2008/01/15 18:10:43 dtynan Exp $
 *
 * Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: orgname.c,v $
 * Revision 1.6  2008/01/15 18:10:43  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.5  2005/03/22 09:41:18  dtynan
 * Extensive upgrade to make sure the copyright block was
 * consistent and GPL'ed.
 *
 * Revision 1.4  2005/03/09 11:24:26  dtynan
 * Accidentally checked-in a printf.
 *
 * Revision 1.3  2005/03/09 11:22:12  dtynan
 * Removed custcode from the customer table.  Now replaced with ccode
 * from the contact table.
 *
 * Revision 1.2  2005/02/17 16:23:25  dtynan
 * Extensive changes to support new customer/contact database
 * format and to add user IDs to journal entries.
 *
 * Revision 1.1  2004/12/09 20:11:08  dtynan
 * Created new function to return the organisation name in a predictable way.
 */
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <time.h>

#include "beanie.h"

/*
 *
 */
char *
orgname(struct db_contact *cp)
{
	char *xp;

	if (cp->fname == NULL)
		return(strdup(cp->lname));
	if ((xp = malloc(strlen(cp->fname) + strlen(cp->lname) + 2)) == NULL)
		return(NULL);
	sprintf(xp, "%s %s", cp->fname, cp->lname);
	return(xp);
}
