#ident "Kalopa: $Id: pdf.c,v 1.8 2008/10/31 15:17:13 dtynan Exp $"

/*
 * $Id: pdf.c,v 1.8 2008/10/31 15:17:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: pdf.c,v $
 * Revision 1.8  2008/10/31 15:17:13  dtynan
 * Extensive changes for version 0.8.2.
 *
 * Revision 1.7  2008/01/15 18:10:43  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.6  2006/03/06 12:28:11  dtynan
 * Sometimes it's just easier to use 'ps2pdf' rather than reinventing
 * the wheel...
 *
 * Revision 1.5  2005/10/04 09:32:31  dtynan
 * Make the location of Ghostscript a configuration item.
 *
 * Revision 1.4  2005/08/15 12:04:10  dtynan
 * Minor tweaks to fix some MIME issues.
 *
 * Revision 1.3  2005/03/22 09:41:18  dtynan
 * Extensive upgrade to make sure the copyright block was
 * consistent and GPL'ed.
 *
 * Revision 1.2  2005/03/03 12:03:53  dtynan
 * Add fully-qualified path for ghostscript.
 *
 * Revision 1.1  2005/02/17 16:39:15  dtynan
 * Added new file to generate command-line for making a PDF.
 */
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

#include "beanie.h"

#define _PATH_GHOSTSCRIPT	"/usr/local/bin/gs"

#define GS_PAPERSIZEA4		" -sPAPERSIZE=a4"
#define GS_OPTS			" -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -dCompatibilityLevel=1.3"

/*
 *
 */
char *
makepdf(char *fname)
{
	static char pdfstr[512];

#ifdef USE_PS2PDF
	strcpy(pdfstr, "ps2pdf - ");
	if (fname != NULL)
		strcat(pdfstr, fname);
	else
		strcat(pdfstr, "-");
#else
	strcpy(pdfstr, _PATH_GHOSTSCRIPT);
	if (papersize() == PAPERSIZE_A4)
		strcat(pdfstr, GS_PAPERSIZEA4);
	strcat(pdfstr, GS_OPTS);
	if (fname != NULL) {
		strcat(pdfstr, " -sOutputFile=");
		strcat(pdfstr, fname);
	} else
		strcat(pdfstr, " -sOutputFile=-");
	strcat(pdfstr, " -c .setpdfwrite -f -");
#endif
	return(pdfstr);
}
