#ident "$Id: phone.c,v 1.2 2008/01/15 18:10:43 dtynan Exp $"

/*
 * $Id: phone.c,v 1.2 2008/01/15 18:10:43 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: phone.c,v $
 * Revision 1.2  2008/01/15 18:10:43  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.1  2005/09/21 18:10:28  dtynan
 * Extensive changes prior to first public release, including an
 * import/export mechanism.
 */
#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include "beanie.h"

/*
 *
 */
char *
localphone(char *phoneno)
{
	int ch;
	char *cp, *lphone;

	if (phoneno == NULL || *phoneno == '\0')
		return("");
	while (isspace(*phoneno))
		phoneno++;
	if (*phoneno != '+')
		return(phoneno);
	phoneno++;
	while (isspace(*phoneno))
		phoneno++;
	if ((cp = lphone = malloc(strlen(phoneno) + 4)) == NULL)
		return("");
#if HOME_COUNTRY == 101
	/*
	 * Ireland - country code is 353, international prefix is '00'
	 * and local area codes begin with '0'.
	 */
	if (strncmp(phoneno, "353", 3) == 0) {
		phoneno += 3;
		while (isspace(*phoneno))
			phoneno++;
		*cp++ = '0';
	} else {
		*cp++ = '0';
		*cp++ = '0';
	}
	while ((ch = *phoneno++) != '\0')
		if (isdigit(ch))
			*cp++ = ch;
	*cp++ = '\0';
#endif
#if HOME_COUNTRY == 219
	/*
	 * UK - country code is 44, international prefix is '00'
	 * and local area codes begin with '0'.
	 */
	if (strncmp(phoneno, "44", 2) == 0) {
		phoneno += 2;
		while (isspace(*phoneno))
			phoneno++;
		*cp++ = '0';
	} else {
		*cp++ = '0';
		*cp++ = '0';
	}
	while ((ch = *phoneno++) != '\0')
		if (isdigit(ch))
			*cp++ = ch;
	*cp++ = '\0';
#endif
	return(lphone);
}
