#ident "$Id: notice.c,v 1.1 2008/10/15 15:13:30 dtynan Exp $"

/*
 * $Id: notice.c,v 1.1 2008/10/15 15:13:30 dtynan Exp $
 *
 * Copyright (c) 2008, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: notice.c,v $
 * Revision 1.1  2008/10/15 15:13:30  dtynan
 * Split out the makenotice function into its own file.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>

#include "beanie.h"
#include "hacks.h"

#include "p30.h"

/*
 *
 */
char *
makenotice(struct db_company *comp)
{
	int n;
	char *cp;
	struct db_paye_p30 *p30p;
	static char notice[32];
	dbow_conn *dbp = getdbase();

	notice[0] = '\0';
	for (p30p = findallp30s(dbp); p30p != NULL;
				p30p = db_findpaye_p30next(dbp, p30p)) {
		printf("NOTICE: [%s]\n", p30p->notice);
		strcpy(notice, p30p->notice);
	}
	if ((cp = strchr(notice, '-')) == NULL)
		sprintf(notice, "00000000-00000A");
	else {
		n = atoi(++cp);
		sprintf(cp, "%05d", ++n);
		cp += 5;
		*cp++ = 'A';
		*cp = '\0';
	}
	return(notice);
}
