#
# $Id: p30.d,v 1.2 2008/01/15 18:10:43 dtynan Exp $
#
# Copyright (c) 2007, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: p30.d,v $
# Revision 1.2  2008/01/15 18:10:43  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.1  2008/01/15 15:46:50  dtynan
# First pass at utilities for integrating the Irish Revenue Online
# Service (ROS) files with the payroll system.
#
# Revision 1.1  2005/09/21 18:02:29  dtynan
# Major changes to deal with data import/export.
#
# COMPANYDB
#
%table	paye_p30	{
	id mediumint(7) not null auto_increment primary key,
	idate date NOT NULL,
	sdate date,
	notice varchar(254),
	paye mediumint(7) not null,
	prsi mediumint(7) not null
%}

%insert paye_p30
%search paye_p30 id
%search paye_p30 idate
%search paye_p30 notice
%dump paye_p30

%type C emit {
/*
 *
 */
struct db_paye_p30 *
findallp30s(dbow_conn *c)
{
	return(db_runpaye_p30query(c, "SELECT * FROM paye_p30 ORDER BY idate"));
}
%}
