#ident "$Id: email.c,v 1.4 2008/10/31 15:17:13 dtynan Exp $"

/*
 * $Id: email.c,v 1.4 2008/10/31 15:17:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: email.c,v $
 * Revision 1.4  2008/10/31 15:17:13  dtynan
 * Extensive changes for version 0.8.2.
 *
 * Revision 1.3  2008/01/15 18:10:43  dtynan
 * Changed to use new company name and copyright, also fixed a few old
 * files with the wrong license.
 *
 * Revision 1.2  2005/10/13 10:13:24  dtynan
 * Make sure only the filename portion is emailed.
 *
 * Revision 1.1  2005/10/13 10:02:15  dtynan
 * Added a new utility to send an email with attachments.
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>

#include "beanie.h"

int	verbose;
char	input[4096];

extern	int	optind, opterr;
extern	char	*optarg;

void	usage();

/*
 *
 */
int
main(int argc, char *argv[])
{
	int i, iodone = 0;
	char *cp, *fname, *ftype;
	FILE *fp;

	/*
	 * Process command-line options.
	 */
	if (argc < 4)
		usage();
	email_open(getconfig("from_eaddr", "beanie"), argv[1], argv[2]);
	for (i = 3; i < argc; i++) {
		fname = argv[i];
		ftype = NULL;
		if (strcmp(fname, "-") == 0) {
			if (iodone)
				usage();
			fp = stdin;
			iodone = 1;
		} else {
			if ((cp = strrchr(fname, '.')) != NULL) {
				cp++;
				if (strcmp(cp, "pdf") == 0)
					ftype = "application/pdf";
			}
			if ((fp = fopen(fname, "r")) == NULL) {
				perror(fname);
				continue;
			}
		}
		if (ftype != NULL) {
			if ((cp = strrchr(fname, '/')) != NULL)
				cp++;
			else
				cp = fname;
			email_fptr(fp, cp, ftype);
		} else {
			while (fgets(input, sizeof(input), fp) != NULL) {
				if ((cp = strpbrk(input, "\r\n")) != NULL)
					*cp = '\0';
				email_text(input);
			}
		}
		fclose(fp);
	}
	exit(0);
}

/*
 *
 */
void
usage()
{
	fprintf(stderr, "Usage: email <to> <subject> <file1> ...\n");
	exit(2);
}
