#ident "$Id: employer.c,v 1.2 2008/10/15 15:11:13 dtynan Exp $"

/*
 * $Id: employer.c,v 1.2 2008/10/15 15:11:13 dtynan Exp $
 *
 * Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2, or (at your
 * option) any later version.
 *
 * It is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this product; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
 * RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ABSTRACT
 *
 * $Log: employer.c,v $
 * Revision 1.2  2008/10/15 15:11:13  dtynan
 * Mammoth change to convert from old-style database configuration to new
 * schema where an RC file defines the database access.
 *
 * Revision 1.1  2008/07/08 16:47:26  dtynan
 * An application to pull relevant information from the database and
 * generate the Irish Revenue Online Service (ROS) data files.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "beanie.h"
#include "hacks.h"

#include "ros.h"

/*
 *
 */
void
employer(struct xml *xp, struct db_company *comp)
{
	struct db_contact *conp;

	/*
	 * Produce the XML for an "Employer" record...
	 */
	xmlbegin(xp, "Employer");
	xmlstr(xp, "number", comp->taxno);
	xmlstr(xp, "name", comp->cname);
	if ((conp = contact_findbyid(getdbase(), comp->contact_id)) == NULL) {
		bwarn("ros", "cannot find contact details for company");
		return;
	}
	if (conp->state_county == NULL && conp->a2 != NULL) {
		xmlstr(xp, "address1", conp->a1);
		xmlstr(xp, "address2", conp->a2);
		xmlstr(xp, "address3", conp->city);
	} else {
		xmlstr(xp, "address1", conp->a1);
		xmlstr(xp, "address2", conp->city);
		if (conp->state_county != NULL)
			xmlstr(xp, "address3", conp->state_county);
	}
	xmlstr(xp, "contact", "Dermot Tynan");	/* FIXME */
	xmlstr(xp, "phone", localphone(conp->phone));
	xmlstr(xp, "fax", localphone(conp->fax));
	xmlend(xp, "Employer");
}
