.\"
.\" $Id: crnote.r,v 1.4 2008/10/15 15:00:58 dtynan Exp $
.\"
.\" Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
.\" Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published
.\" by the Free Software Foundation; either version 2, or (at your
.\" option) any later version.
.\"
.\" It is distributed in the hope that it will be useful, but WITHOUT
.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
.\" or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
.\" License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this product; see the file COPYING.  If not, write to
.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\"
.\" THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS"
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
.\" A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
.\" RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" ABSTRACT
.\" This TROFF macro file produces a formatted credit note.  The following
.\" fields are defined:
.\"
.\"	InvNo
.\"	InvDate
.\"	InvPX
.\"	InvPY
.\"	Addr1
.\"	Addr2
.\"	Addr3
.\"	Addr4
.\"	Addr5
.\"	Addr6
.\"	Addr7
.\"	Addr8
.\"	ORef
.\"	YRef
.\"	ODate
.\"	Desc
.\"	CCode
.\"	YVAT
.\"	L01a
.\"	L01b
.\"	L01c
.\"	L01d
.\"	L01e
.\"	L01f
.\"	...
.\"	L26a
.\"	L26b
.\"	L26c
.\"	L26d
.\"	L26e
.\"	L26f
.\"	SubTTL
.\"	Pkg
.\"	VAT
.\"	Total
.\"	VAmt1
.\"	VAmt2
.\"	VAmt3
.\"	VAmt4
.\"	VAmt5
.\"	VCode1
.\"	VCode2
.\"	VCode3
.\"	VCode4
.\"	VCode5
.\"	VNet1
.\"	VNet2
.\"	VNet3
.\"	VNet4
.\"	VNet5
.\"	VRate1
.\"	VRate2
.\"	VRate3
.\"	VRate4
.\"	VRate5
.\"	Terms
.\"	Note
.\"
.\" $Log: crnote.r,v $
.\" Revision 1.4  2008/10/15 15:00:58  dtynan
.\" Company is no longer a numeric field.
.\"
.\" Revision 1.3  2008/01/15 18:10:44  dtynan
.\" Changed to use new company name and copyright, also fixed a few old
.\" files with the wrong license.
.\"
.\" Revision 1.2  2007/08/06 10:58:01  dtynan
.\" Some minor tweaks for formatting and the like.
.\"
.\" Revision 1.1  2006/08/25 11:27:15  dtynan
.\" Lots of changes as per the end-of-year.
.\"
.\" Branched from Revision 1.24 of the invoice.r file.
.\"
.so %%BEANIEROOT%%/lhead-\*[Company].tmac
.Wide
.Form "CREDIT NOTE"
.TS
box;
rbw(2c) lw(5c).
.sp 0.2c
\s+2Credit Note No.	\fB\*[CrNote]\fP\s-2
Invoice No.	\fB\*[InvNo]\fP
Tax Date	\fB\*[InvDate]\fP
Page	\fB\*[InvPX]\fP of \fB\*[InvPY]\fP
VAT Number	\*[VATNo]
IBAN	\*[IBAN]
Our Reference	\*[ORef]
Sales Order	\*[Order]
Customer Code	\*[CCode]
Order Date	\*[ODate]
Currency	\*[Curr]
Your Reference	\*[YRef]
Description	\*[Desc]
.TE
.in 0
.sp 0.6c
.ft NR
.ps 10
.vs 12
.sp
.TS
expand box;
lz | cz | cz | cz | cz | rz
lw(8.4c) | c | r | rw(2.4c) | rw(2c) | rw(2.4c).
.ps 10
.vs 12
.ft NB
Description	V	Quan.	Price	Disc %	Total
_
.ft NR
.ps 10
.vs 12

\*[L01a]	\*[L01b]	\*[L01c]	\*[L01d]	\*[L01e]	\*[L01f]
\*[L02a]	\*[L02b]	\*[L02c]	\*[L02d]	\*[L02e]	\*[L02f]
\*[L03a]	\*[L03b]	\*[L03c]	\*[L03d]	\*[L03e]	\*[L03f]
\*[L04a]	\*[L04b]	\*[L04c]	\*[L04d]	\*[L04e]	\*[L04f]
\*[L05a]	\*[L05b]	\*[L05c]	\*[L05d]	\*[L05e]	\*[L05f]
\*[L06a]	\*[L06b]	\*[L06c]	\*[L06d]	\*[L06e]	\*[L06f]
\*[L07a]	\*[L07b]	\*[L07c]	\*[L07d]	\*[L07e]	\*[L07f]
\*[L08a]	\*[L08b]	\*[L08c]	\*[L08d]	\*[L08e]	\*[L08f]
\*[L09a]	\*[L09b]	\*[L09c]	\*[L09d]	\*[L09e]	\*[L09f]
\*[L10a]	\*[L10b]	\*[L10c]	\*[L10d]	\*[L10e]	\*[L10f]
\*[L11a]	\*[L11b]	\*[L11c]	\*[L11d]	\*[L11e]	\*[L11f]
\*[L12a]	\*[L12b]	\*[L12c]	\*[L12d]	\*[L12e]	\*[L12f]
\*[L13a]	\*[L13b]	\*[L13c]	\*[L13d]	\*[L13e]	\*[L13f]
\*[L14a]	\*[L14b]	\*[L14c]	\*[L14d]	\*[L14e]	\*[L14f]
\*[L15a]	\*[L15b]	\*[L15c]	\*[L15d]	\*[L15e]	\*[L15f]
\*[L16a]	\*[L16b]	\*[L16c]	\*[L16d]	\*[L16e]	\*[L16f]
\*[L17a]	\*[L17b]	\*[L17c]	\*[L17d]	\*[L17e]	\*[L17f]
\*[L18a]	\*[L18b]	\*[L18c]	\*[L18d]	\*[L18e]	\*[L18f]
\*[L19a]	\*[L19b]	\*[L19c]	\*[L19d]	\*[L19e]	\*[L19f]
\*[L20a]	\*[L20b]	\*[L20c]	\*[L20d]	\*[L20e]	\*[L20f]
\*[L21a]	\*[L21b]	\*[L21c]	\*[L21d]	\*[L21e]	\*[L21f]
\*[L22a]	\*[L22b]	\*[L22c]	\*[L22d]	\*[L22e]	\*[L22f]
\*[L23a]	\*[L23b]	\*[L23c]	\*[L23d]	\*[L23e]	\*[L23f]
\*[L24a]	\*[L24b]	\*[L24c]	\*[L24d]	\*[L24e]	\*[L24f]
\*[L25a]	\*[L25b]	\*[L25c]	\*[L25d]	\*[L25e]	\*[L25f]
\*[L26a]	\*[L26b]	\*[L26c]	\*[L26d]	\*[L26e]	\*[L26f]
.TE
.ps 10
.vs 12
.ft NR
.mk
.TS
box;
cs | c | c
c r | r | r.
\fBVat Rate\fP	\fBNet Amount\fP	\fBVAT Amount\fP
_
\*[VCode1]	\*[VRate1]	\*[VNet1]	\*[VAmt1]
\*[VCode2]	\*[VRate2]	\*[VNet2]	\*[VAmt2]
\*[VCode3]	\*[VRate3]	\*[VNet3]	\*[VAmt3]
\*[VCode4]	\*[VRate4]	\*[VNet4]	\*[VAmt4]
\*[VCode5]	\*[VRate5]	\*[VNet5]	\*[VAmt5]
\*[VCode6]	\*[VRate6]	\*[VNet6]	\*[VAmt6]
\*[VCode7]	\*[VRate7]	\*[VNet7]	\*[VAmt7]
\*[VCode8]	\*[VRate8]	\*[VNet8]	\*[VAmt8]
.TE
.sp
Terms: \*[Terms].
.br
\fIAll Amounts in \*[Curr] unless otherwise indicated.\fP
.br
.rt
.in 12.32c
.ps 10
.vs 12
.TS
box;
lw(3.0c) | rw(2.3c).
\fBSubtotal:\fR	\*[SubTTL]
\fBPost & Packaging:\fR	\*[Pkg]
\fBVAT:\fR	\*[VAT]
_
\fBTotal Due:\fR	\fB\*[Total]\fP
.TE
.in 7.5c
.sp 2
