.\"
.\" $Id: lhead.sample.r,v 1.4 2008/10/15 15:00:58 dtynan Exp $
.\"
.\" Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
.\" Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published
.\" by the Free Software Foundation; either version 2, or (at your
.\" option) any later version.
.\"
.\" It is distributed in the hope that it will be useful, but WITHOUT
.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
.\" or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
.\" License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this product; see the file COPYING.  If not, write to
.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\"
.\" THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS"
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
.\" A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
.\" RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" ABSTRACT
.\"
.\" $Log: lhead.sample.r,v $
.\" Revision 1.4  2008/10/15 15:00:58  dtynan
.\" Company is no longer a numeric field.
.\"
.\" Revision 1.3  2008/01/15 18:10:44  dtynan
.\" Changed to use new company name and copyright, also fixed a few old
.\" files with the wrong license.
.\"
.\" Revision 1.2  2008/01/15 15:44:00  dtynan
.\" Added root path to logo file.
.\"
.\" Revision 1.1  2005/08/12 19:16:51  dtynan
.\" Moved this out of harms way.
.\"
.\" Revision 1.16  2005/07/07 19:15:10  dtynan
.\" Added a .Reset to make sure things got put back after various changes.
.\"
.\" Revision 1.15  2005/04/06 20:08:29  dtynan
.\" Added support for pre-printed letterhead (PrePrint == 1).
.\"
.\" Revision 1.14  2005/03/22 09:41:26  dtynan
.\" Extensive upgrade to make sure the copyright block was
.\" consistent and GPL'ed.
.\"
.\" Revision 1.13  2005/02/17 17:17:50  dtynan
.\" Fixed some issues with directory prefixes.
.\"
.\" Revision 1.12  2005/02/17 15:53:42  dtynan
.\" Added two new address fields (maximum address lines can be eight).
.\"
.\" Revision 1.11  2004/12/05 22:02:08  dtynan
.\" Add conditionals to prevent headers and footers.
.\"
.\" Revision 1.10  2004/10/30 19:20:58  dtynan
.\" Removed cyan from letterhead (grover can't hack colour).
.\"
.\" Revision 1.9  2004/10/30 19:02:14  dtynan
.\" Converted to new letterhead format.
.\"
.\" Revision 1.8  2004/08/04 11:26:11  dtynan
.\" Force pagelength.
.\"
.\" Revision 1.7  2004/07/30 14:18:22  dtynan
.\" Fixed title length problem.
.\"
.\" Revision 1.6  2004/07/30 14:09:06  dtynan
.\" Changed letterhead system to use company-specific data.
.\"
.\" Revision 1.5  2004/07/12 19:07:18  dtynan
.\" Extensive changes for new directory structure and other things.
.\"
.\" Revision 1.4  2004/05/16 18:34:44  dtynan
.\" Various formatting changes, including reducing the invoice point size
.\" and widening the page.  Added a new 'statement.tmac' file for printing
.\" account statements.
.\"
.\" Revision 1.3  2004/05/12 15:21:21  dtynan
.\" Massive check-in of various changes, mostly around DBOW and directory
.\" reorganization (moved to /u/beanie).
.\"
.\" Revision 1.2  2004/02/03 13:30:16  dtynan
.\" Updated to use A4 paper size, fixed bugs in letterhead, changed to new
.\" font styles and generally updated all the macros.
.\"
.\" Revision 1.1  2003/11/15 14:00:49  dtynan
.\" Added macro packages for producing letterheads and letter data.
.\"
.\" Set up useful registers if they're not already defined.
.\"
.if !r PrePrint .nr PrePrint 0
.\"
.\" The "Reset" macro sets everything to known defaults.
.\"
.de Reset
.ie n .po 0
.el .po 2.4c
.ll 16c
.lt 16c
.in 0
.pl 29.7c
.ft NR
.ps 12
.vs 13
..
.\"
.\" This is the page-end macro used for letterheads.  It displays the
.\" legal page ending block.
.\"
.de PageEnd
.Reset
.if \n[PrePrint]=0 \{\
.  ll 18.5c
.  lt 18.5c
.  po 1.2c
.  ps 9
.  vs 9
.  in 0
.  tc \(ru
.  ta 18.5c
.  nf
	
.  ta
.  fi
.  ps 9
.  vs 11
.  ie n \{\
.    rj 2
\*[CName] Limited. Registered in Ireland #\*[CRONo].
Directors: \*[CoDir1], \*[CoDir2].
.  \}
.  el \{\
.    rj 1
\*[CName] Limited \[bu] Registered in Ireland #\*[CRONo] \[bu] Directors: \*[CoDir1], \*[CoDir2].
.  \}
.  Reset
.\}
..
.\"
.\" This macro produces the normal letterhead at the top of the page.
.\" It is not invoked automatically and needs to be called for each page.
.\"
.de PageStart
.Reset
.ie \n[PrePrint]=0 \{\
.  ll 18.5c
.  lt 18.5c
.  po 1.2c
.  sp 0.2c
.  mk
.  ie t .PSPIC -L ./logo.ps
.  el \{\
.    sp
KALOPA
.    br
.  \}
.  rt
.  sp 0.2c
.  mk
.  sp 1.4c
.  tc \(ru
.  ie n .in 0c
.  el .in 7.5c
.  ie n .ta 18.5c
.  el .ta 11.0c
.  nf
	
.  ta
.  fi
.  br
.  rt
.  rj 8
\*[CName]
.  br
.  ps 11
.  vs 12
Address Line 1
.  br
Address Line 2
.  br
Address Line 3
.  sp 0.1c
www.\*[CoURL] \[bu] p:+\s-2PHONE#\s+2 \[bu] f:+\s-2FAX#\s+2
.  rj 0
.  sp 0.5c
.  Reset
.\}
.el \{\
.  sp 2.7c
.\}
..
.\"
.\" Produce a signature block.
.\"
.de SN
.Reset
.sp
.in +0.5i
Yours Sincerely,
.sp 3
____________________
.br
YOUR NAME
.br
YOUR TITLE
.in -0.5i
..
.\"
.\" A paragraph macro (also resets fonts and everything).
.\"
.de PP
.Reset
.sp
..
.\"
.\" Certain types of pages are wider than others.
.\"
.de Wide
.po 1.2c
.ll 18.5c
.lt 18.5c
..
.\"
.\" Print an address block.  Assumes that the appropriate definitions
.\" are already in place.  It also assumes that we are in the correct
.\" section of the page.
.\"
.de Address
.Reset
.ps 12
.vs 13
.ft NB
\*[Name]
.ps 10
.vs 11
.br
\*[Addr1]
.br
\*[Addr2]
.br
\*[Addr3]
.br
\*[Addr4]
.br
\*[Addr5]
.br
\*[Addr6]
.br
\*[Addr7]
.br
\*[Addr8]
.Reset
..
.\"
.\" Generate a standard form header.
.\"
.de Form
.sp
.ps 14
.vs 16
.ft HB
.ce 1
\\$1
.sp 0.4c
.mk
.sp 0.2c
.Address
.br
.rt
.Reset
.Wide
.in +10.25c
..
.\"
.\" Do the actual letterhead.
.\"
.if !r NoHeader .PageStart
.if !r NoFooter .wh -1.4c PageEnd
.Reset
