.\"
.\" $Id: payslip.r,v 1.3 2008/10/15 15:00:58 dtynan Exp $
.\"
.\" Copyright (c) 2007, Kalopa Research Limited.  All rights reserved.
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published
.\" by the Free Software Foundation; either version 2, or (at your
.\" option) any later version.
.\"
.\" It is distributed in the hope that it will be useful, but WITHOUT
.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
.\" or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
.\" License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this product; see the file COPYING.  If not, write to
.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\"
.\" THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS"
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
.\" A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
.\" RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" ABSTRACT
.\" This TROFF macro file produces a formatted payslip.  The following
.\" fields are defined:
.\"
.\"	EmpName			Employee Name
.\"	EmpNo			Employee Works No.
.\"	EmpPPS			Employee PPS No. (SSN)
.\"	Dept			Department
.\"	Period			Pay Period
.\"	PayDate			Pay Date
.\"	PayDesc1		Payment Description #1 (of 12)
.\"	...
.\"	PayDesc12
.\"	PayAmount1		Payment Amount #1 (of 12)
.\"	...
.\"	PayAmount12
.\"	DedDesc1		Deduction Description #1 (of 12)
.\"	...
.\"	DedDesc12
.\"	DedAmount1		Deduction Amount #1 (of 12)
.\"	...
.\"	DedAmount12
.\"	DedTotal1		Deduction Cumulative Total #1 (of 12)
.\"	...
.\"	DedTotal12
.\"	GrossPay		Gross Pay
.\"	TotalDeds		Total Deductions
.\"	NonTaxAdj		Non-Taxable Adjustments
.\"	Rounding		Rounding
.\"	NettPay			Nett Pay
.\"	PayMethod		Payment Method
.\"	CumGrossPay		Cumulative Gross Pay to Date
.\"	CumNonTaxDeds		Cumulative Non-Taxable Deductions to Date
.\"	CumTaxPay		Cumulative Taxable Pay to Date
.\"	CumTaxCredit		Cumulative Tax Credits to Date
.\"	CumCutOff		Cumulative Tax Cutoff to Date
.\"	CumTaxPaid		Cumulative Tax Paid to Date
.\"	TaxCode			Tax Code
.\"	TaxESP			Tax Emergency Start Period
.\"	TaxCredit		Tax Credit This Period
.\"	TaxPRSICode		PRSI Code
.\"	TaxInsWeeks		Total Insurance Weeks
.\"	ComEyerPRSI		Comment - Employers PRSI This Period
.\"	ComEyerPRSITD		Comment - Employers PRSI to Date
.\"	ComDesc1		Comment - Description #1 (of 4)
.\"	...
.\"	ComDesc4
.\"	ComAmount1		Comment - Amount #1 (of 4)
.\"	...
.\"	ComAmount4
.\"
.\" $Log: payslip.r,v $
.\" Revision 1.3  2008/10/15 15:00:58  dtynan
.\" Company is no longer a numeric field.
.\"
.\" Revision 1.2  2008/01/15 18:10:44  dtynan
.\" Changed to use new company name and copyright, also fixed a few old
.\" files with the wrong license.
.\"
.\" Revision 1.1  2007/08/06 10:56:10  dtynan
.\" First pass at a pay slip or pay stub for the payroll stuff.
.\"
.so %%BEANIEROOT%%/lhead-\*[Company].tmac
.Wide
.sp 2c
.ps 14
.vs 16
.ft HB
.ce 1
PAY SLIP
.sp 2c
.in 0
.ps 10
.vs 11
.ft NR
.TS
expand;
l lb l lb l lb.
Emp. Name:	\*[EmpName]	Emp. No:	\*[EmpNo]	PPS No:	\*[EmpPPS]
Department:	\*[Dept]	Pay Period:	\*[Period]	Payment Date:	\*[PayDate]
.TE
.sp 1c
.TS
expand box;
cbs | cbs
cb cb | cb cb cb
l rb | l rb rb.
PAY DETAILS	DEDUCTION DETAILS
Description	Amount	Description	Amount	Balance
=
\*[PayDesc1]	\*[PayAmount1]	\*[DedDesc1]	\*[DedAmount1]	\*[DedTotal1]	
\*[PayDesc2]	\*[PayAmount2]	\*[DedDesc2]	\*[DedAmount2]	\*[DedTotal2]	
\*[PayDesc3]	\*[PayAmount3]	\*[DedDesc3]	\*[DedAmount3]	\*[DedTotal3]	
\*[PayDesc4]	\*[PayAmount4]	\*[DedDesc4]	\*[DedAmount4]	\*[DedTotal4]	
\*[PayDesc5]	\*[PayAmount5]	\*[DedDesc5]	\*[DedAmount5]	\*[DedTotal5]	
\*[PayDesc6]	\*[PayAmount6]	\*[DedDesc6]	\*[DedAmount6]	\*[DedTotal6]	
\*[PayDesc7]	\*[PayAmount7]	\*[DedDesc7]	\*[DedAmount7]	\*[DedTotal7]	
\*[PayDesc8]	\*[PayAmount8]	\*[DedDesc8]	\*[DedAmount8]	\*[DedTotal8]	
\*[PayDesc9]	\*[PayAmount9]	\*[DedDesc9]	\*[DedAmount9]	\*[DedTotal9]	
\*[PayDesc10]	\*[PayAmount10]	\*[DedDesc10]	\*[DedAmount10]	\*[DedTotal10]	
\*[PayDesc11]	\*[PayAmount11]	\*[DedDesc11]	\*[DedAmount11]	\*[DedTotal11]	
\*[PayDesc12]	\*[PayAmount12]	\*[DedDesc12]	\*[DedAmount12]	\*[DedTotal12]	
.TE
.TS
expand box;
cbs | cbs | cbs
l rb | l rb | l rb.
CUMULATIVE DETAILS	TAX/PRSI DETAILS	COMMENTS
=
Gross Pay	\*[CumGrossPay]			Employers PRSI	\*[ComEyerPRSI]
Non-Tax Deds	\*[CumNonTaxDeds]	Tax Code	\*[TaxCode]	Emp'ers PRSI to Date	\*[ComEyerPRSITD]
Taxable Pay	\*[CumTaxPay]	Emerg. Start Period	\*[TaxESP]	\*[ComDesc1]	\*[ComAmount1]
Tax Credit to Date	\*[CumTaxCredit]	Tax Credit	\*[TaxCredit]	\*[ComDesc2]	\*[ComAmount2]
Cut-Off to Date	\*[CumCutOff]	PRSI Code	\*[TaxPRSICode]	\*[ComDesc3]	\*[ComAmount3]
Tax Paid	\*[CumTaxPaid]	Insurance Weeks	\*[TaxInsWeeks]	\*[ComDesc4]	\*[ComAmount4]
.TE
.sp 2c
.in +12c
.TS
expand box;
cb
lb rb.
Pay Summary
=
Gross Pay	\*[GrossPay]
Total Deductions	\*[TotalDeds]
Non-Taxable Adjustments	\*[NonTaxAdj]
Rounding	\*[Rounding]
	_
Nett Pay	\*[NettPay]
_
Payment Method	\*[PayMethod]
.TE
