.\"
.\" $Id: porder.r,v 1.12 2008/10/15 15:00:58 dtynan Exp $
.\"
.\" Copyright (c) 2003, Kalopa Media Limited.  All rights reserved.
.\" Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published
.\" by the Free Software Foundation; either version 2, or (at your
.\" option) any later version.
.\"
.\" It is distributed in the hope that it will be useful, but WITHOUT
.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
.\" or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
.\" License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this product; see the file COPYING.  If not, write to
.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\"
.\" THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS"
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
.\" A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
.\" RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" ABSTRACT
.\" This TROFF macro file produces a formatted invoice.  The following
.\" fields are defined:
.\"
.\"	PoNo
.\"	PoDate
.\"	PoPX
.\"	PoPY
.\"	Name
.\"	Addr1
.\"	Addr2
.\"	Addr3
.\"	Addr4
.\"	Addr5
.\"	Addr6
.\"	Addr7
.\"	Addr8
.\"	ORef
.\"	YRef
.\"	ODate
.\"	Desc
.\"	CCode
.\"	YVAT
.\"	L01a
.\"	L01b
.\"	L01c
.\"	L01d
.\"	L01e
.\"	L01f
.\"	...
.\"	L26a
.\"	L26b
.\"	L26c
.\"	L26d
.\"	L26e
.\"	L26f
.\"	SubTTL
.\"	Pkg
.\"	VAT
.\"	Total
.\"	VAmt1
.\"	VAmt2
.\"	VAmt3
.\"	VAmt4
.\"	VAmt5
.\"	VCode1
.\"	VCode2
.\"	VCode3
.\"	VCode4
.\"	VCode5
.\"	VNet1
.\"	VNet2
.\"	VNet3
.\"	VNet4
.\"	VNet5
.\"	VRate1
.\"	VRate2
.\"	VRate3
.\"	VRate4
.\"	VRate5
.\"	Terms
.\"	Note
.\"
.\" $Log: porder.r,v $
.\" Revision 1.12  2008/10/15 15:00:58  dtynan
.\" Company is no longer a numeric field.
.\"
.\" Revision 1.11  2008/01/15 18:10:44  dtynan
.\" Changed to use new company name and copyright, also fixed a few old
.\" files with the wrong license.
.\"
.\" Revision 1.10  2005/10/17 13:36:17  dtynan
.\" Don't explicitly state the currency, instead it is passed in where
.\" required.
.\"
.\" Revision 1.9  2005/04/11 16:02:18  dtynan
.\" Updated to use 'CCode' instead of 'Cust'.
.\"
.\" Revision 1.8  2005/03/22 09:41:27  dtynan
.\" Extensive upgrade to make sure the copyright block was
.\" consistent and GPL'ed.
.\"
.\" Revision 1.7  2005/02/17 17:17:50  dtynan
.\" Fixed some issues with directory prefixes.
.\"
.\" Revision 1.6  2005/02/17 15:53:42  dtynan
.\" Added two new address fields (maximum address lines can be eight).
.\"
.\" Revision 1.5  2004/11/15 12:40:57  dtynan
.\" Updated purchase order format.
.\"
.\" Revision 1.4  2004/10/30 19:02:15  dtynan
.\" Converted to new letterhead format.
.\"
.\" Revision 1.3  2004/07/30 14:09:06  dtynan
.\" Changed letterhead system to use company-specific data.
.\"
.\" Revision 1.2  2004/07/16 19:18:59  dtynan
.\" Now the root directory is set by BEANIEROOT.
.\"
.\" Revision 1.1  2004/07/12 19:07:18  dtynan
.\" Extensive changes for new directory structure and other things.
.\"
.\" Revision 1.6  2004/05/16 20:44:38  dtynan
.\" Minor tweaks, including adding a sixth address line.
.\"
.\" Revision 1.5  2004/05/16 18:34:44  dtynan
.\" Various formatting changes, including reducing the invoice point size
.\" and widening the page.  Added a new 'statement.tmac' file for printing
.\" account statements.
.\"
.\" Revision 1.4  2004/05/12 15:21:21  dtynan
.\" Massive check-in of various changes, mostly around DBOW and directory
.\" reorganization (moved to /u/beanie).
.\"
.\" Revision 1.3  2004/02/03 13:30:15  dtynan
.\" Updated to use A4 paper size, fixed bugs in letterhead, changed to new
.\" font styles and generally updated all the macros.
.\"
.\" Revision 1.2  2003/11/07 15:58:11  dtynan
.\" Fixed implementation of invoice generation and emailing thereof.
.\"
.\" Revision 1.1  2003/10/31 14:35:15  dtynan
.\" First pass at automated billing software.
.\"
.ds Title Purchase Order #\fB\*[PoNo]\fP
.so %%BEANIEROOT%%/lhead-\*[Company].tmac
.po 1.2c
.ll 18.5c
.\"
.ps 10
.vs 12
.sp
.ps 14
.vs 16
.ft HB
.ce 1
PURCHASE\ \ \ \ ORDER
.mk
.sp 1.0c
.in +0.5c
.ps 12
.vs 14
.ft NB
\*[Name]
.ps 10
.vs 12
.br
\*[Addr1]
.br
\*[Addr2]
.br
\*[Addr3]
.br
\*[Addr4]
.br
\*[Addr5]
.br
\*[Addr6]
.br
\*[Addr7]
.br
\*[Addr8]
.in
.br
.rt
.sp
.ft NR
.ps 10
.vs 12
.in +9c
.TS
box;
rbw(3c) lw(5c).
PO Number	\fB\*[PoNo]\fP
Date	\*[PoDate]
Vendor Code	\*[Vendor]
Currency	\*[Curr]
Payment Terms	Net 30 Days
Processed By	Dermot Tynan
Phone	+353 65 7078454
Fax	+353 65 7078242
Email	dtynan@kalopa.com
Delivery Date	\*[DelDate]
Page	\fB\*[PoPX]\fP of \fB\*[PoPY]\fP
.TE
.in 0
.sp 2
.TS
expand box;
lz | cz | cz | cz | cz | rz
lw(8.4c) | c | r | rw(2.4c) | rw(2c) | rw(2.4c).
.ps 10
.vs 12
.ft NB
Description	V	Quan.	Price	Disc %	Total
_
.ft NR
.ps 10
.vs 12

\*[L01a]	\*[L01b]	\*[L01c]	\*[L01d]	\*[L01e]	\*[L01f]
\*[L02a]	\*[L02b]	\*[L02c]	\*[L02d]	\*[L02e]	\*[L02f]
\*[L03a]	\*[L03b]	\*[L03c]	\*[L03d]	\*[L03e]	\*[L03f]
\*[L04a]	\*[L04b]	\*[L04c]	\*[L04d]	\*[L04e]	\*[L04f]
\*[L05a]	\*[L05b]	\*[L05c]	\*[L05d]	\*[L05e]	\*[L05f]
\*[L06a]	\*[L06b]	\*[L06c]	\*[L06d]	\*[L06e]	\*[L06f]
\*[L07a]	\*[L07b]	\*[L07c]	\*[L07d]	\*[L07e]	\*[L07f]
\*[L08a]	\*[L08b]	\*[L08c]	\*[L08d]	\*[L08e]	\*[L08f]
\*[L09a]	\*[L09b]	\*[L09c]	\*[L09d]	\*[L09e]	\*[L09f]
\*[L10a]	\*[L10b]	\*[L10c]	\*[L10d]	\*[L10e]	\*[L10f]
\*[L11a]	\*[L11b]	\*[L11c]	\*[L11d]	\*[L11e]	\*[L11f]
\*[L12a]	\*[L12b]	\*[L12c]	\*[L12d]	\*[L12e]	\*[L12f]
\*[L13a]	\*[L13b]	\*[L13c]	\*[L13d]	\*[L13e]	\*[L13f]
\*[L14a]	\*[L14b]	\*[L14c]	\*[L14d]	\*[L14e]	\*[L14f]
\*[L15a]	\*[L15b]	\*[L15c]	\*[L15d]	\*[L15e]	\*[L15f]
\*[L16a]	\*[L16b]	\*[L16c]	\*[L16d]	\*[L16e]	\*[L16f]
\*[L17a]	\*[L17b]	\*[L17c]	\*[L17d]	\*[L17e]	\*[L17f]
\*[L18a]	\*[L18b]	\*[L18c]	\*[L18d]	\*[L18e]	\*[L18f]
\*[L19a]	\*[L19b]	\*[L19c]	\*[L19d]	\*[L19e]	\*[L19f]
\*[L20a]	\*[L20b]	\*[L20c]	\*[L20d]	\*[L20e]	\*[L20f]
\*[L21a]	\*[L21b]	\*[L21c]	\*[L21d]	\*[L21e]	\*[L21f]
\*[L22a]	\*[L22b]	\*[L22c]	\*[L22d]	\*[L22e]	\*[L22f]
\*[L23a]	\*[L23b]	\*[L23c]	\*[L23d]	\*[L23e]	\*[L23f]
\*[L24a]	\*[L24b]	\*[L24c]	\*[L24d]	\*[L24e]	\*[L24f]
\*[L25a]	\*[L25b]	\*[L25c]	\*[L25d]	\*[L25e]	\*[L25f]
\*[L26a]	\*[L26b]	\*[L26c]	\*[L26d]	\*[L26e]	\*[L26f]
.TE
.mk
.in 12.32c
.ps 10
.vs 12
.TS
box;
lw(3.0c) | rw(2.3c).
\fBSubtotal:\fR	\*[SubTTL]
\fBPost & Packaging:\fR	\*[Pkg]
\fBVAT:\fR	\*[VAT]
_
\fBTotal Price:\fR	\fB\*[Total]\fP
.TE
.in 0
.br
.rt
.sp
.ps 9
.vs 11
.ft NR
.ll 12c
INSTRUCTIONS TO VENDOR:
.br
The purchase order number must be quoted on all invoices and
correspondence.
By accepting this order you agree to comply with and be bound
by all the Terms and Conditions of Kalopa purchase orders,
including the terms and conditions on the face of this order.
.sp
.tc
.ti +1c
Signature: ___________________________________
.br
	(Authorising Signature)
.sp
.ll 18.5c
