.\"
.\" $Id: statement.r,v 1.17 2008/10/15 15:00:58 dtynan Exp $
.\"
.\" Copyright (c) 2004, Kalopa Media Limited.  All rights reserved.
.\" Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published
.\" by the Free Software Foundation; either version 2, or (at your
.\" option) any later version.
.\"
.\" It is distributed in the hope that it will be useful, but WITHOUT
.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
.\" or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
.\" License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this product; see the file COPYING.  If not, write to
.\" the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\"
.\" THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS"
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
.\" A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
.\" RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" ABSTRACT
.\" This TROFF macro file produces a formatted statement.  The following
.\" fields are defined:
.\"
.\" $Log: statement.r,v $
.\" Revision 1.17  2008/10/15 15:00:58  dtynan
.\" Company is no longer a numeric field.
.\"
.\" Revision 1.16  2008/01/15 18:10:44  dtynan
.\" Changed to use new company name and copyright, also fixed a few old
.\" files with the wrong license.
.\"
.\" Revision 1.15  2007/08/06 10:58:01  dtynan
.\" Some minor tweaks for formatting and the like.
.\"
.\" Revision 1.14  2005/10/17 13:36:17  dtynan
.\" Don't explicitly state the currency, instead it is passed in where
.\" required.
.\"
.\" Revision 1.13  2005/08/12 19:18:08  dtynan
.\" Minor cleanups and also moved lhead.r out of the way.
.\"
.\" Revision 1.12  2005/04/11 20:45:55  dtynan
.\" Add a trailing space (non-blanking) to the opening balance.
.\"
.\" Revision 1.11  2005/04/11 17:53:11  dtynan
.\" Extensive changes to statement format.
.\"
.\" Revision 1.10  2005/03/22 09:41:27  dtynan
.\" Extensive upgrade to make sure the copyright block was
.\" consistent and GPL'ed.
.\"
.\" Revision 1.9  2005/02/17 17:17:50  dtynan
.\" Fixed some issues with directory prefixes.
.\"
.\" Revision 1.8  2005/02/17 15:53:42  dtynan
.\" Added two new address fields (maximum address lines can be eight).
.\"
.\" Revision 1.7  2004/10/30 19:02:15  dtynan
.\" Converted to new letterhead format.
.\"
.\" Revision 1.6  2004/09/03 13:48:46  dtynan
.\" Improved statement output format.
.\"
.\" Revision 1.5  2004/07/30 14:09:07  dtynan
.\" Changed letterhead system to use company-specific data.
.\"
.\" Revision 1.4  2004/07/16 19:18:59  dtynan
.\" Now the root directory is set by BEANIEROOT.
.\"
.\" Revision 1.3  2004/07/12 19:07:19  dtynan
.\" Extensive changes for new directory structure and other things.
.\"
.\" Revision 1.2  2004/05/16 20:44:38  dtynan
.\" Minor tweaks, including adding a sixth address line.
.\"
.\" Revision 1.1  2004/05/16 18:34:44  dtynan
.\" Various formatting changes, including reducing the invoice point size
.\" and widening the page.  Added a new 'statement.tmac' file for printing
.\" account statements.
.\"
.so %%BEANIEROOT%%/lhead-\*[Company].tmac
.Wide
.Form "STATEMENT OF ACCOUNT"
.TS
box;
rbw(2c) lw(5c).
.sp 0.2c
\s+2Date:	\fB\*[StDate]\fP\s-2
Page	\fB\*[StPX]\fP of \fB\*[StPY]\fP
Customer Code	\*[CCode]
Currency	\*[Curr]
IBAN	\*[IBAN]
.sp 3
.\" Your Reference	\*[YRef]
.\" Our Reference	\*[ORef]
.\" Description	\*[Desc]
.TE
.in 0
.sp 1.2c
.ft NR
.ps 10
.vs 12
.sp
.TS
expand box;
c | c | c | c | c | c c
r | r | lw(7.5c) | rw(2.4c) | rw(2.4c) | rw(2.4c).
.ps 10
.vs 12
.ft NB
Date	Ref.	Description	DR.	CR.	Balance
_
.ft NR
.ps 10
.vs 12

\*[ODate]		Opening Balance			\*[OBal]
\*[L01a]	\*[L01b]	\*[L01c]	\*[L01d]	\*[L01e]	\*[L01f]	\*[L01g]
\*[L02a]	\*[L02b]	\*[L02c]	\*[L02d]	\*[L02e]	\*[L02f]	\*[L02g]
\*[L03a]	\*[L03b]	\*[L03c]	\*[L03d]	\*[L03e]	\*[L03f]	\*[L03g]
\*[L04a]	\*[L04b]	\*[L04c]	\*[L04d]	\*[L04e]	\*[L04f]	\*[L04g]
\*[L05a]	\*[L05b]	\*[L05c]	\*[L05d]	\*[L05e]	\*[L05f]	\*[L05g]
\*[L06a]	\*[L06b]	\*[L06c]	\*[L06d]	\*[L06e]	\*[L06f]	\*[L06g]
\*[L07a]	\*[L07b]	\*[L07c]	\*[L07d]	\*[L07e]	\*[L07f]	\*[L07g]
\*[L08a]	\*[L08b]	\*[L08c]	\*[L08d]	\*[L08e]	\*[L08f]	\*[L08g]
\*[L09a]	\*[L09b]	\*[L09c]	\*[L09d]	\*[L09e]	\*[L09f]	\*[L09g]
\*[L10a]	\*[L10b]	\*[L10c]	\*[L10d]	\*[L10e]	\*[L10f]	\*[L10g]
\*[L11a]	\*[L11b]	\*[L11c]	\*[L11d]	\*[L11e]	\*[L11f]	\*[L11g]
\*[L12a]	\*[L12b]	\*[L12c]	\*[L12d]	\*[L12e]	\*[L12f]	\*[L12g]
\*[L13a]	\*[L13b]	\*[L13c]	\*[L13d]	\*[L13e]	\*[L13f]	\*[L13g]
\*[L14a]	\*[L14b]	\*[L14c]	\*[L14d]	\*[L14e]	\*[L14f]	\*[L14g]
\*[L15a]	\*[L15b]	\*[L15c]	\*[L15d]	\*[L15e]	\*[L15f]	\*[L15g]
\*[L16a]	\*[L16b]	\*[L16c]	\*[L16d]	\*[L16e]	\*[L16f]	\*[L16g]
\*[L17a]	\*[L17b]	\*[L17c]	\*[L17d]	\*[L17e]	\*[L17f]	\*[L17g]
\*[L18a]	\*[L18b]	\*[L18c]	\*[L18d]	\*[L18e]	\*[L18f]	\*[L18g]
\*[L19a]	\*[L19b]	\*[L19c]	\*[L19d]	\*[L19e]	\*[L19f]	\*[L19g]
\*[L20a]	\*[L20b]	\*[L20c]	\*[L20d]	\*[L20e]	\*[L20f]	\*[L20g]
\*[L21a]	\*[L21b]	\*[L21c]	\*[L21d]	\*[L21e]	\*[L21f]	\*[L21g]
\*[L22a]	\*[L22b]	\*[L22c]	\*[L22d]	\*[L22e]	\*[L22f]	\*[L22g]
\*[L23a]	\*[L23b]	\*[L23c]	\*[L23d]	\*[L23e]	\*[L23f]	\*[L23g]
\*[L24a]	\*[L24b]	\*[L24c]	\*[L24d]	\*[L24e]	\*[L24f]	\*[L24g]
\*[L25a]	\*[L25b]	\*[L25c]	\*[L25d]	\*[L25e]	\*[L25f]	\*[L25g]
\*[CDate]		\fBClosing Balance:\fP			\fB\*[CBal]\fP	\*[CBDR]

.TE
.ps 10
.vs 12
.ft NR
.sp
.mk
.TS
box;
lw(3.6c) rw(2.4c).
Current:	\fB\*[ACurr]\fP
Over 30 Days:	\fB\*[A30]\fP
Over 60 Days:	\fB\*[A60]\fP
Over 90 Days:	\fB\*[A90]\fP
.TE
.br
.rt
.sp
.in 7.5c
