#!/bin/sh
#
# $Id: mksqlinc.sh,v 1.3 2008/10/15 15:11:14 dtynan Exp $
#
# Copyright (c) 2005, Kalopa Research Limited.  All rights reserved.
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your
# option) any later version.
#
# It is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this product; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139,
# USA.
#
# THIS SOFTWARE IS PROVIDED BY KALOPA RESEARCH LIMITED "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL KALOPA
# RESEARCH LIMITED BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
# ABSTRACT
#
# $Log: mksqlinc.sh,v $
# Revision 1.3  2008/10/15 15:11:14  dtynan
# Mammoth change to convert from old-style database configuration to new
# schema where an RC file defines the database access.
#
# Revision 1.2  2008/01/15 18:10:44  dtynan
# Changed to use new company name and copyright, also fixed a few old
# files with the wrong license.
#
# Revision 1.1  2005/08/12 18:55:17  dtynan
# Added a new shell script to produce the SQL for creating a new
# company.
#
DFILES="../dbow/*.d"

cat <<EOF
/*
 * WARNING: The contents of this file are automatically generated
 * by the script mksqlinc.sh in the utils directory.  Don't make
 * any changes to this file or they will be overwritten by the build
 * system.
 */
char sql_data[] =
EOF
for f in $DFILES
do
	s=`basename $f .d`
	if [ ! -f ../dbow/$s.sql ]
	then
		echo "?Error - cannot find SQL file - make sure you build the DBOW files first."
		exit 1
	fi
	awk '{printf "\"%s\\n\"\n", $0}' ../dbow/$s.sql
done
echo ";"
exit 0
